unit fMDK_ListDLG;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, ValEdit, StdCtrls, ExtCtrls, Buttons;

type
  TfrmDefaults = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Label1: TLabel;
    vleDefaults: TValueListEditor;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDefaults: TfrmDefaults;

function IsReplacementNeeded(aList: string): Boolean;

implementation

{$R *.dfm}

function IsReplacementNeeded(aList: string): Boolean;
var
  i: Integer;
  SL: TStringList;
begin
  result := False;
  if not assigned(frmDefaults) then
    Application.CreateForm(TfrmDefaults, frmDefaults);
  if not assigned(frmDefaults) then
    Exit;
  with frmDefaults do
    begin
      SL := TStringList.Create;
      SL.Text := aList;
      SL.Sort;
      //      vleDefaults.Strings.Text := aList;
      vleDefaults.Strings.Text := SL.Text;
      SL.Free;
      for i := 0 to vleDefaults.RowCount - 2 do
        vleDefaults.ItemProps[i].ReadOnly := True;

      Result := ShowModal <> mrCancel;
    end
end;

procedure TfrmDefaults.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = VK_ESCAPE then
    ModalResult := mrCancel;
end;

end.
