unit fMDK_Timeline;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ImgList, StdCtrls, ComCtrls, Grids, DBGrids, ExtCtrls;

type
  TfrmTimeline = class(TForm)
    pnlTools: TPanel;
    pnlMain: TPanel;
    pnlDetails: TPanel;
    Splitter1: TSplitter;
    dbgTimeline: TDBGrid;
    reDetails: TRichEdit;
    ilEventTypes: TImageList;
    procedure dbgTimelineDrawColumnCell(Sender: TObject; const Rect: TRect;
      DataCol: Integer; Column: TColumn; State: TGridDrawState);
  private
    { Private declarations }
    procedure reset;
  public
    { Public declarations }
  end;

var
  frmTimeline: TfrmTimeline;

function getTimeline: TfrmTimeline;
procedure showTimeline;

implementation
uses dMDK_Data
  , DBClient
  , DB, uMDK_Timeline;

{$R *.dfm}

function getTimeline;
begin
  if not assigned(frmTimeline) then
    Application.CreateForm(TfrmTimeline, frmTimeline);
  Result := frmTimeline;
end;

procedure showTimeline;
begin
  getTimeline;
  if not assigned(frmTimeline) then
    Exit;

  frmTimeline.Reset;
  frmTimeline.ShowModal;
end;

procedure TfrmTimeline.reset;
begin
end;

procedure TfrmTimeline.dbgTimelineDrawColumnCell(Sender: TObject;
  const Rect: TRect; DataCol: Integer; Column: TColumn;
  State: TGridDrawState);
var
  //  iExtent: Integer;
  field: TField;
  dataset: TDataSet;
  //  sEvent, sComments,
  risk: string;
  //  RR: TRect;
begin
  dataset := dbgTimeline.DataSource.DataSet;
  field := dataset.FieldByName(fnTL_EventType);
  risk := field.asString;
  (*
    if risk=fsValid then
      begin
        dbgFlow.canvas.font.color := clBlack;
        dbgFlow.canvas.brush.color := clWindow;
        dbgFlow.canvas.font.Style := [];
      end
    else if risk=fsInValid  then
      begin
        dbgFlow.canvas.font.color := clRed;
        dbgFlow.canvas.font.Style := [fsStrikeOut];
        dbgFlow.canvas.brush.color := gErrorBkg;
      end
    else if risk=fsInValidSource then
      begin
        dbgFlow.canvas.font.color := clRed;
        dbgFlow.canvas.font.Style := [fsStrikeOut];
        dbgFlow.canvas.brush.color := gErrorBkg;
      end;
  *)
  (*
    with Sender as TDBGrid do
      begin
        if Columns[DataCol].FieldName = fnFS_Source then
          begin
            Canvas.FillRect(Rect);
            if Columns[DataCol].Field.Value = fsDevice then
              ilFlow.Draw(Canvas,Rect.Left+4,Rect.Top,1,True)
            else if  Columns[DataCol].Field.Value = fsManual then
              ilFlow.Draw(Canvas,Rect.Left+4,Rect.Top,2,True)
            else
              ilFlow.Draw(Canvas,Rect.Left+4,Rect.Top,0,True)
          end
        else
          begin
            sEvent := dbgFlow.DataSource.DataSet.FieldbyName(fnFS_Event).AsString;
            if (sEvent = '')
              or (Columns[DataCol].FieldName = fnFS_date)
              or (Columns[DataCol].FieldName = fnFS_Time)
              or (Columns[DataCol].FieldName = fnFS_SessionID)
              or (Columns[DataCol].FieldName = fnFS_PatientID) then
                DefaultDrawColumnCell(Rect,DataCol,Column,State)
            else
              begin
                sComments := dbgFlow.DataSource.DataSet.FieldbyName(fnFS_Comments).AsString;
                if Columns[DataCol].FieldName = fnFS_BP then
                  begin
                    rr := Rect;
                    dbgFlow.canvas.brush.color := dbgFlow.Color;

                    iExtent := dbgFlow.Width;
                    rr.Right := rr.Left + iExtent;

                    dbgFlow.Canvas.FillRect(Rr);
                    dbgFlow.Canvas.TextRect(rr,rr.Left +20,rr.Top+2, sEvent+'  '+sComments);
                  end;
              end;
          end
      end;
  *)
end;

end.
