unit uMDK_TIUNote;
{
================================================================================
*
*       Package:      MDK - Clinical Procedures
*       Revision:     $Revision: 1 $  $Modtime: 9/28/07 10:38a $
*       Site Name:    Hines OIFO
*       Date Created: 7/29/05
*       Developers:   andriyevskiy                  
*       Description:  this unit contains the Hemodialysis application
*                     TIUNote object
*       Notes:
*
================================================================================
*       $Archive: /Clinical Procedures v1.0 (CP Legacy)/CP Version 1.0 - Patch 19/HEMODIALYSIS_1_0_6_320/APP-HEMODIALYSIS/Objects/uMDK_TIUNote.pas $
*
* $History: uMDK_TIUNote.pas $
 * 
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 1/13/09    Time: 1:16p
 * Created in $/Clinical Procedures v1.0 (CP Legacy)/CP Version 1.0 - Patch 19/HEMODIALYSIS_1_0_6_320/APP-HEMODIALYSIS/Objects
 * Patch 19 source code
 * 
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 4/24/08    Time: 4:23p
 * Created in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/HEMODIALYSIS_1_0_6_319_#18/APP-HEMODIALYSIS/Objects
 * 
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 4/02/08    Time: 9:25a
 * Created in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI Current/HEMODIALYSIS_1_0_6_319/APP-HEMODIALYSIS/Objects
 * 
 * *****************  Version 3  *****************
 * User: Vhaishandria Date: 6/20/07    Time: 3:23p
 * Updated in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI 1.0/APP-HEMODIALYSIS/Objects
 *
 * *****************  Version 2  *****************
 * User: Vhaishandria Date: 6/04/07    Time: 9:08a
 * Updated in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI 1.0/APP-HEMODIALYSIS/Objects
 *
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 5/22/07    Time: 9:17a
 * Created in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI 1.0/APP-HEMODIALYSIS/Objects
 *
 * *****************  Version 2  *****************
 * User: Vhaishandria Date: 3/27/07    Time: 1:31p
 * Updated in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI/APP-HEMODIALYSIS/Objects
 *
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 3/26/07    Time: 12:38p
 * Created in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI/APP-HEMODIALYSIS/Objects
 *
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 3/26/07    Time: 12:28p
 * Created in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI/APP_HEMODIALYSIS/CP MODERNIZATION/APP-HemoDialysis/Objects
 *
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 1/25/07    Time: 9:39a
 * Created in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI/APP-HEMODIALYSIS/Objects
 *
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 1/22/07    Time: 1:36p
 * Created in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI 1.0.6.308/APP-HEMODIALYSIS/Objects
 * GUI 1.0.6.308 RC January 2007
 *
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 1/22/07    Time: 1:28p
 * Created in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI 1.0.6.308/CP MODERNIZATION/APP-HemoDialysis/Objects
 * GUI 1.0.6.308 RC January 2007
 *
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 4/28/06    Time: 5:18p
 * Created in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI/APP-Hemodialysis/Objects
}
interface

type

  TMDK_TIUNote = class(TObject)
  public
    DateTime: TDateTime;
    StudyID: string;
    TIUID: string;
    AuthorName: string;
    AuthorDUZ: string;
    Text: string;
    Title: string;
    HospitalLocation: string;
  end;

implementation

end.
