unit fMDK_Select;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TdlgSelectItem = class(TForm)
    Panel3: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Panel1: TPanel;
    lbItems: TListBox;
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  dlgSelectItem: TdlgSelectItem;

function SelectListItem(aList: string): string;

implementation

{$R *.dfm}

function SelectListItem(aList: string): string;
begin
  if not Assigned(dlgSelectItem) then
    Application.CreateForm(TdlgSelectItem, dlgSelectItem);

  with dlgSelectItem do
    begin
      lbItems.Items.Text := aList;
      if ShowModal = mrOK then
        Result := lbItems.Items[lbItems.ItemIndex]
      else
        Result := '';
    end;
end;

procedure TdlgSelectItem.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  canClose := lbItems.ItemIndex >= 0;
  if not canClose then
    MessageDlg('Select an Item from the list, please...', mtWarning, [mbOK], 0);
end;

end.
