unit fMDK_StudyStatusList;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Grids, DBGrids, ExtCtrls, ComCtrls, Buttons
  , uMDK_Patients, ActnList, ImgList, Menus, DB, DBClient, DBCtrls
  , uMDK_Options
  , uMDK_Common
  ;

type
  TfrmStudyStatusList = class(TForm)
    pnlMain: TPanel;
    pnlToolbar: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    BitBtn5: TBitBtn;
    bitbtnRelease: TBitBtn;
    pnlActions: TPanel;
    ActionList1: TActionList;
    acGetActiveStudies: TAction;
    ilStatus: TImageList;
    acUpdateTableByActiveStudyList: TAction;
    acRelease: TAction;
    acDisable: TAction;
    acEnable: TAction;
    acReview: TAction;
    acRefresh: TAction;
    acSelect: TAction;
    tmrRefresh: TTimer;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Refresh2: TMenuItem;
    Select2: TMenuItem;
    Review1: TMenuItem;
    Enable2: TMenuItem;
    Disable2: TMenuItem;
    Release1: TMenuItem;
    Options1: TMenuItem;
    ShowDetails1: TMenuItem;
    N2: TMenuItem;
    acAutorefresh: TAction;
    acShowLegend: TAction;
    ShowLegend1: TMenuItem;
    acShowDetails: TAction;
    N1: TMenuItem;
    ShowHideDetails1: TMenuItem;
    Cancel1: TMenuItem;
    PopupMenu1: TPopupMenu;
    Refresh1: TMenuItem;
    Select1: TMenuItem;
    Review2: TMenuItem;
    Enable1: TMenuItem;
    Disable1: TMenuItem;
    Release2: TMenuItem;
    N4: TMenuItem;
    Autorefresh2: TMenuItem;
    ShowLegend3: TMenuItem;
    ShowHideDetails3: TMenuItem;
    Cancel2: TMenuItem;
    acShowDisabledStudies: TAction;
    N3: TMenuItem;
    ShowDisabledStudies1: TMenuItem;
    cdsStudyList: TClientDataSet;
    dsStudyList: TDataSource;
    acGetTableXML: TAction;
    Panel2: TPanel;
    SpeedButton1: TSpeedButton;
    sbStyle: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    Panel3: TPanel;
    mm: TMemo;
    acSaveTableXML: TAction;
    N6: TMenuItem;
    ShowDisabledStudies2: TMenuItem;
    DBNavigator1: TDBNavigator;
    dsAccessLog: TDataSource;
    cdsAccessLog: TClientDataSet;
    acShowAccessHistory: TAction;
    ShowAccessHistory1: TMenuItem;
    ShowAccessHistory2: TMenuItem;
    acClearAccessHistory: TAction;
    acLinkTables: TAction;
    acLockHistoryTable: TAction;
    acUnLockHistoryTable: TAction;
    bbLock: TBitBtn;
    bbUnLock: TBitBtn;
    acShowLog: TAction;
    pnlCancel: TPanel;
    N7: TMenuItem;
    Log1: TMenuItem;
    pnlActiveStudyList: TPanel;
    grbActiveStudyList: TGroupBox;
    pnlStudyList: TPanel;
    pnlLegend: TPanel;
    Image2: TImage;
    Image3: TImage;
    Image4: TImage;
    Label3: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Image1: TImage;
    Label4: TLabel;
    Bevel1: TBevel;
    lblReviewed: TLabel;
    imReviewed: TImage;
    pnlStatusTable: TPanel;
    Splitter1: TSplitter;
    dbgStatus: TDBGrid;
    pnlAccessHistory: TPanel;
    pnlDetails: TPanel;
    re: TRichEdit;
    pnlLog: TPanel;
    splLog: TSplitter;
    GroupBox2: TGroupBox;
    Panel7: TPanel;
    mmLog: TMemo;
    Panel8: TPanel;
    Panel9: TPanel;
    Panel10: TPanel;
    Panel4: TPanel;
    Panel11: TPanel;
    Panel12: TPanel;
    Panel13: TPanel;
    Panel14: TPanel;
    Panel15: TPanel;
    Panel16: TPanel;
    Panel17: TPanel;
    Panel19: TPanel;
    Panel20: TPanel;
    Panel21: TPanel;
    Panel18: TPanel;
    acOpenStudyList: TAction;
    BitBtn8: TBitBtn;
    acResetActiveList: TAction;
    btnReset: TBitBtn;
    pcAccessHistory: TPageControl;
    tsLog: TTabSheet;
    tsWatchList: TTabSheet;
    dbgAccessHistory: TDBGrid;
    Panel5: TPanel;
    bitbtnClearAccess: TBitBtn;
    cbLink: TCheckBox;
    cbRegister: TCheckBox;
    cdsWatchList: TClientDataSet;
    dsWatchList: TDataSource;
    dbgWatchList: TDBGrid;
    Panel6: TPanel;
    ActionList2: TActionList;
    acWLAddUser: TAction;
    SpeedButton2: TSpeedButton;
    acWLAddStudy: TAction;
    acWLAddWorkstation: TAction;
    acWLAddPatient: TAction;
    acWLAddStatusOld: TAction;
    acWLAddStatusNew: TAction;
    SpeedButton5: TSpeedButton;
    SpeedButton6: TSpeedButton;
    SpeedButton7: TSpeedButton;
    SpeedButton8: TSpeedButton;
    SpeedButton9: TSpeedButton;
    Label1: TLabel;
    Label2: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    edUser: TEdit;
    edStudy: TEdit;
    edPatient: TEdit;
    edOld: TEdit;
    edNew: TEdit;
    edWS: TEdit;
    acWLDelete: TAction;
    DBNavigator2: TDBNavigator;
    Bevel2: TBevel;
    lblAutorefresh: TLabel;
    Panel1: TPanel;
    BitBtn6: TBitBtn;
    SpeedButton10: TSpeedButton;
    SpeedButton11: TSpeedButton;
    SpeedButton12: TSpeedButton;
    SpeedButton13: TSpeedButton;
    SpeedButton14: TSpeedButton;
    spbReset: TSpeedButton;
    SpeedButton16: TSpeedButton;
    SpeedButton17: TSpeedButton;
    acClose: TAction;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure dbgStatusDrawColumnCell(Sender: TObject; const Rect: TRect;
      DataCol: Integer; Column: TColumn; State: TGridDrawState);
    procedure acGetActiveStudiesExecute(Sender: TObject);
    procedure acUpdateTableByActiveStudyListExecute(Sender: TObject);
    procedure acReleaseExecute(Sender: TObject);
    procedure acRefreshExecute(Sender: TObject);
    procedure acReviewExecute(Sender: TObject);
    procedure dbgStatusTitleClick(Column: TColumn);
    procedure tmrRefreshTimer(Sender: TObject);
    procedure acAutorefreshExecute(Sender: TObject);
    procedure acShowLegendExecute(Sender: TObject);
    procedure acShowDetailsExecute(Sender: TObject);
    procedure Cancel1Click(Sender: TObject);
    procedure dbgStatusDblClick(Sender: TObject);
    procedure dbgStatusKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure acShowDisabledStudiesExecute(Sender: TObject);
    procedure dsStudyListDataChange(Sender: TObject; Field: TField);
    procedure SpeedButton4Click(Sender: TObject);
    procedure acGetTableXMLExecute(Sender: TObject);
    procedure acDisableExecute(Sender: TObject);
    procedure acEnableExecute(Sender: TObject);
    procedure acSelectExecute(Sender: TObject);
    procedure acSaveTableXMLExecute(Sender: TObject);
    procedure acShowAccessHistoryExecute(Sender: TObject);
    procedure dbgAccessHistoryTitleClick(Column: TColumn);
    procedure acClearAccessHistoryExecute(Sender: TObject);
    procedure acLinkTablesExecute(Sender: TObject);
    procedure cbRegisterClick(Sender: TObject);
    procedure acLockHistoryTableExecute(Sender: TObject);
    procedure acUnLockHistoryTableExecute(Sender: TObject);
    procedure acShowLogExecute(Sender: TObject);
    procedure pnlToolbarDblClick(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure acOpenStudyListExecute(Sender: TObject);
    procedure acResetActiveListExecute(Sender: TObject);
    procedure acWLAddUserExecute(Sender: TObject);
    procedure acWLAddStudyExecute(Sender: TObject);
    procedure acWLAddWorkstationExecute(Sender: TObject);
    procedure acWLAddPatientExecute(Sender: TObject);
    procedure acWLAddStatusOldExecute(Sender: TObject);
    procedure acWLAddStatusNewExecute(Sender: TObject);
    procedure cdsWatchListAfterPost(DataSet: TDataSet);
    procedure dbgWatchListKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure dbgWatchListDrawColumnCell(Sender: TObject;
      const Rect: TRect; DataCol: Integer; Column: TColumn;
      State: TGridDrawState);
    procedure dbgWatchListDblClick(Sender: TObject);
    procedure dsAccessLogDataChange(Sender: TObject; Field: TField);
    procedure pnlActiveStudyListResize(Sender: TObject);
    procedure acCloseExecute(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
    fIgnore: Boolean;
    fMargin: string;
    fNewStudies: string;

    fRefreshRate: Integer;
    fCount: Integer;
{$IFNDEF AANTEST}
    fAutoRefresh: Boolean;
{$ENDIF}
    fIgnoreTimer: Boolean;
    fIgnoreCDSChange: Boolean;

    fSelectedFieldName: string;
    fHistorySelectedFieldName: string;

    fTableXML: string;

    fActiveStudyListXML: string;
    fActiveStudyList: TStringList;

    fSelectedPatient: TMDKRegisteredPatient;

    procedure CleanActiveStudyList;

    function getActiveStudyListTableXML: string;
    procedure saveActiveStudyListTableXML;
    function setTableByXMLString(anXML: string): Boolean;

    function getActiveStudiesXML: Boolean;

    procedure AddActiveStudy(aRP: TMDKRegisteredPatient);

    function LocateStudyByID(anID: string): boolean;
    function setStudyStatus(aStatus: string; out ErrorMsg: string): Integer;

    procedure SelectPatient(aReadOnly: Boolean);
    procedure resetRefreshRate;
    procedure setDisabledFilter;
    procedure CreateStudyList;
    procedure RefreshAccessLog;

    procedure UpdateTableByActiveStudyList;
    procedure setupLayout;

    procedure setSensetivity;
    function AccessRegistered(aPatientID: string): Boolean;
    procedure LogEvent(anEvent: string);

    procedure SaveBooleanOption(aName: string; aValue: Boolean; aType: string =
      otUser);

    function LogNeeded: Boolean;
    procedure LogAction(
      aStatusOld, aStatusNew, aStudy, aPatient, aResult, aComments: string; DT:
      TDateTime);

    procedure WLAdd(aType, anID: string);
    procedure RefreshWatchList;
    procedure RefreshCDS(aCDS: TClientDataSet; aValue: string);
    function SaveCDS(aCDS: TClientDataSet; aName: string): string;

    procedure setActionsActiveStatus(aValue:Boolean);
  public
    { Public declarations }

    function ReleaseStudy(aStudyID: string; var ErrorMsg: string): integer;
    procedure updateActionStatuses;
    procedure updateStudyDetails;

    function getStudyStatus(anID: string): string;
  end;

var
  frmStudyStatusList: TfrmStudyStatusList;

const
  rcStudyList = 1000;
  rcStudyNotFound = rcStudyList + 1;
  rcStudyStatusOK = rcStudyList + 10;
  rcStudyStatusLockFailed = rcStudyList + 12;
  rcStudyStatusChanged = rcStudyList + 13;
  rcStudyStatusWrong = rcStudyList + 14;

function SelectStudyFromList(aLeft, aTop, aHeight, aWidth: Integer):
  TMDKRegisteredPatient;

implementation

uses dMDK_Data, uMDK_Engine, uMDK_Utils, uMDK_CDSCommon;

const
  snInUse = 'IN USE';
  snEnable = 'ENABLED';
  snDisable = 'DISABLED';

  isEnabled = 0;
  isUnknown = 3;
  isDisabled = 1;
  isInUse = 2;
  isReviewed = 4;
  isSensitive = 5;
  isSortGray = 8;

  clInUse = $00FFFDE6;
  clEnabled = clWindow;
  clDisabled = $00E8E8E8;
  clUnknown = clLime;

  sDelta = '    ';

  msgStudyListLockFailed = 'Study List Lock Failed' + #13#10;
  msgStudyListLocked = 'The study list is locked by another user' + #13#10 +
    'Please, try again later';
  msgStudyHasBeenChanged =
    'The study status has been changed by another user' + #13#10 +
    'Please, review the new status and try again';
{$R *.dfm}

function SelectStudyFromList(aLeft, aTop, aHeight, aWidth: Integer):
  TMDKRegisteredPatient;
begin
  if not Assigned(frmStudyStatusList) then
    begin
      Application.CreateForm(TfrmStudyStatusList, frmStudyStatusList);
      frmStudyStatusList.Left := aLeft;
      frmStudyStatusList.Top := aTop;
      frmStudyStatusList.Height := aHeight;
      frmStudyStatusList.Width := aWidth;
      frmStudyStatusList.tmrRefresh.Enabled := False;
      frmStudyStatusList.fMargin := sDelta;
      frmStudyStatusList.fSelectedFieldName := fnSL_StudyID;
      frmStudyStatusList.fHistorySelectedFieldName := fnSL_StudyID;

      frmStudyStatusList.ResetRefreshRate;
      frmStudyStatusList.pnlToolbar.Visible := devOptions.bValue(donWindowsXPTheme);
      frmStudyStatusList.pnlCancel.Visible := not devOptions.bValue(donWindowsXPTheme);
    end;

  frmStudyStatusList.logEvent('');
  Screen.Cursor := crHourGlass;
{$IFDEF SHOWACCESSHISTORY}
  frmStudyStatusList.acShowAccessHistory.Checked :=
    Preferences.bValue(onAccessHistoryChecked);
{$ENDIF}
//  frmStudyStatusList.pnlToolbar.Color := Preferences.iValue(onColorToolbar);
//  frmStudyStatusList.pnlCancel.Color :=  Preferences.iValue(onColorToolbar);
  frmStudyStatusList.acRefresh.Execute;
  Screen.Cursor := crDefault;
  if frmStudyStatusList.ShowModal = mrOK then
    Result := frmStudyStatusList.fSelectedPatient
  else
    Result := nil;
end;

procedure reportWrongStatus(aWrong, aCorrect: string);
begin
  ShowMessage('"' + aWrong + '" study can not be selected for this action.' +
    #13#10 +
    'Change the status of the study to "' + aCorrect + '" and try again');
end;

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

procedure TfrmStudyStatusList.FormCreate(Sender: TObject);
begin
  inherited;
  fIgnoreCDSChange := True;
  CreateStudyList;
  fActiveStudyList := TStringList.Create;
  fSelectedPatient := TMDKRegisteredPatient.Create('', '', '', Now, '', '', '',
    '', '', '');
{$IFDEF AANTEST}
  dbgStatus.ReadOnly := False;
{$ENDIF}
  fIgnoreCDSChange := False;
end;

procedure TfrmStudyStatusList.FormDestroy(Sender: TObject);
begin
  CleanActiveStudyList;
  FreeAndNil(fActiveStudyList);
  if Assigned(fSelectedPatient) then
    FreeAndNil(fSelectedPatient);
  inherited;
end;

procedure TfrmStudyStatusList.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  tmrRefresh.Enabled := False;
end;

////////////////////////////////////////////////////////////////////////////////

procedure TfrmStudyStatusList.setupLayout;
begin
  Splitter1.Visible := acShowAccessHistory.Checked;

  if not Splitter1.Visible then
    Splitter1.Align := alRight
  else
    Splitter1.Align := alTop;

  pnlAccessHistory.Visible := acShowAccessHistory.Checked;

  if Splitter1.Visible then
    Splitter1.Align := alBottom;

  cbRegister.Checked := devOptions.bValue(donRegisterStudyAccess);

  //  if Preferences.bValue(onShowColLinesInDataGrid) then
  begin
    dbgStatus.Options := dbgStatus.Options + [dgColLines];
    dbgAccessHistory.Options := dbgStatus.Options + [dgColLines];
    //    end
    //  else
    //    begin
    //      dbgStatus.Options := dbgStatus.Options - [dgColLines];
    //      dbgAccessHistory.Options := dbgStatus.Options - [dgColLines];
  end;
end;

procedure TfrmStudyStatusList.CreateStudyList;

  procedure CreateSL(aDS: TClientDataSet);
  begin
    if not FileExists(aDS.FileName) then
      begin
        NewStringField(aDS, fnSL_StudyID, 'Study #', 10, 40);
        NewStringField(aDS, fnSL_PatientID, 'Patient ID', 8, 22);
{$IFNDEF AANTEST}
        aDS.FieldList.Fields[aDS.FieldList.Count - 1].Visible := False;
{$ENDIF}
        NewBooleanField(aDS, fnSL_Sensitive, fnSL_Sensitive, 8);
{$IFNDEF AANTEST}
        aDS.FieldList.Fields[aDS.FieldList.Count - 1].Visible := False;
{$ENDIF}
        NewStringField(aDS, fnSL_Name, 'Patient Name', 30, 40);
        NewStringField(aDS, fnSL_Sex, 'Sex', 4, 4);
        NewDateTimeField(aDS, fnSL_DOB, 'DOB', 11);
        NewStringField(aDS, fnSL_SSN, 'SSN', 12, 20);
        NewDateTimeField(aDS, fnSL_CheckedIn, 'Checked In Time', 20,
          gMDK_DateTimeFMT);
        NewStringField(aDS, fnSL_Status, 'Status', 10, 20);
        NewStringField(aDS, fnSL_StatusOld, 'Old Status', 10, 20);
{$IFNDEF AANTEST}aDS.FieldList.Fields[aDS.FieldList.Count - 1].Visible := False;
{$ENDIF}
        NewStringField(aDS, fnSL_StatusBy, 'Status By', 20, 20);
        NewDateTimeField(aDS, fnSL_StatusTime, 'Since', 20, gMDK_DateTimeFMT);
        NewStringField(aDS, fnSL_Comments, 'Workstation', 20, 200);
        NewStringField(aDS, fnSL_LockStatus, 'VistA Lock', 5, 20);
{$IFNDEF AANTEST}aDS.FieldList.Fields[aDS.FieldList.Count - 1].Visible := False;
{$ENDIF}
        NewStringField(aDS, fnSL_LockedBy, 'VistA Locked By', 20, 20);
{$IFNDEF AANTEST}aDS.FieldList.Fields[aDS.FieldList.Count - 1].Visible := False;
{$ENDIF}
        NewDateTimeField(aDS, fnSL_LastModified, 'Last Modified', 12);
{$IFNDEF AANTEST}aDS.FieldList.Fields[aDS.FieldList.Count - 1].Visible := False;
{$ENDIF}
        aDS.IndexFieldNames := 'StudyID';
        aDS.CreateDataSet;
      end;
    aDS.Open;
  end;

  procedure CreateAccessLog(aDS: TClientDataSet);
  begin
    if not FileExists(aDS.FileName) then
      begin
        //Wnen
        NewDateTimeField(aDS, fnSL_StatusTime, 'When', 20, gMDK_DateTimeFMT);
        // What
        NewStringField(aDS, fnSL_StudyID, 'Study #', 8, 40);
        NewStringField(aDS, fnSL_PatientID, 'Patient ID', 8, 22);
        NewStringField(aDS, fnSL_StatusOld, 'From', 14, 20);
        NewStringField(aDS, fnSL_Status, 'To', 14, 20);
        // Who
        NewStringField(aDS, fnSL_UserID, 'User ID', 25, 25);
        NewStringField(aDS, fnSL_SessionID, 'Session ID', 25, 25);
        NewStringField(aDS, fnSL_Workstation, 'Workstation', 20, 20);
        // Result
        NewStringField(aDS, fnSL_Result, 'Result', 14, 20);
        // Comments
        NewStringField(aDS, fnSL_Comments, 'Comments', 200, 200);
        // Registered at
        NewDateTimeField(aDS, fnSL_RegisteredAt, 'Registered @', 20,
          gMDK_DateTimeFMT);

        aDS.CreateDataSet;
      end;
    try
      aDS.Open;
    except
    end;

    aDS.AddIndex(fnSL_StatusTime + '_Index', fnSL_StatusTime, [ixDescending],
      '',
      '', 0);
    aDS.IndexDefs.Update;
    aDS.IndexName := fnSL_StatusTime + '_Index';
  end;

  procedure CreateWatchList(aDS: TClientDataSet);
  begin
    if not FileExists(aDS.FileName) then
      begin
        // Status
        NewBooleanField(aDS, fnWL_Enabled, 'Enabled');
        // What
        NewStringField(aDS, fnWL_ItemType, 'Type', 20, 20);
        NewStringField(aDS, fnWL_ItemID, 'ID', 8, 20);
        NewStringField(aDS, fnWL_RegisteredBy, 'Added By', 20, 30);
        NewDateTimeField(aDS, fnWL_RegisteredAt, 'Added @', 20,
          gMDK_DateTimeFMT);
        NewStringField(aDS, fnWL_Comments, 'Comments', 60, 200);

        NewStringField(aDS, fnWL_StatusBy, 'Status By', 20, 30);
        NewDateTimeField(aDS, fnWL_StatusAt, 'Status @', 20, gMDK_DateTimeFMT);

        aDS.IndexFieldNames := fnWL_RegisteredAt;
        aDS.CreateDataSet;
      end;
    try
      aDS.Open;
    except
    end;
  end;

begin
  logEvent('create Study List: In');
  CreateSL(cdsStudyList);
  CreateAccessLog(cdsAccessLog);
  CreateWatchList(cdsWatchList);
  logEvent('create Study List: Out');
end;

procedure TfrmStudyStatusList.resetRefreshRate;
begin
  logEvent('reset Refresh Rate: In');

  fRefreshRate := Preferences.iValue(onStudyListRefreshRate);
  if fRefreshRate < 7 then
    fRefreshRate := 7;
  fCount := fRefreshRate;
{$IFDEF STUDY_STATUS_LIST}
  btnReset.Visible := UserOptions.Exists(onAllowUserResetActiveStudyList);
  btnReset.Enabled := Preferences.bValue(onAllowUserResetActiveStudyList);
  spbReset.Visible := UserOptions.Exists(onAllowUserResetActiveStudyList);// #28
  spbReset.Enabled := Preferences.bValue(onAllowUserResetActiveStudyList);// #28
{$ENDIF}
{$IFNDEF AANTEST}
  fAutorefresh := Preferences.bValue(onStudyListAutorefresh);
  acAutorefresh.Checked := fAutorefresh;
  tmrRefresh.Enabled := fAutorefresh;
{$ELSE}
  tmrRefresh.Enabled := False;
{$ENDIF}
  if not acAutorefresh.Checked then
    lblAutorefresh.Caption := 'Autorefresh: Off';

  pnlLegend.Visible := Preferences.bValue(onShowStudyDetailsLegend);
  acShowLegend.Checked := pnlLegend.Visible;

  acShowDetails.Checked := Preferences.bValue(onShowStudyDetails);
  pnlDetails.Visible := Preferences.bValue(onShowStudyDetails);

  acShowDisabledStudies.Checked := Preferences.bValue(onShowDisabledStudies);
  acShowDisabledStudies.Enabled :=
    Preferences.bValue(onAllowUserControlStudyStatus);

{$IFDEF SHOWACCESSHISTORY}
  ShowAccessHistory1.Visible :=
    UserOptions.Exists(onAllowUserReviewAccessHistory);
  ShowAccessHistory2.Visible :=
    UserOptions.Exists(onAllowUserReviewAccessHistory);
  ShowAccessHistory1.Enabled :=
    Preferences.bValue(onAllowUserReviewAccessHistory);
  ShowAccessHistory2.Enabled :=
    Preferences.bValue(onAllowUserReviewAccessHistory);

  acShowAccessHistory.Checked := Preferences.bValue(onAccessHistoryChecked);
  acShowAccessHistory.Enabled :=
    UserOptions.Exists(onAllowUserReviewAccessHistory);
{$ELSE}
  ShowAccessHistory1.Visible := False;
  ShowAccessHistory2.Visible := False;
{$ENDIF}

{$IFDEF SHOWLOG}
  Log1.Visible := Engine.CurrentOperatorMode =
    Preferences.bValue(onAllowUserReviewLog);
  N1.Visible := Engine.CurrentOperatorMode =
    Preferences.bValue(onAllowUserReviewLog);
{$ENDIF}

  SetUpLayout;

  cdsStudyList.DisableControls;
  cdsStudyList.FieldByName(fnSL_LockStatus).Visible := False;
  cdsStudyList.FieldByName(fnSL_LockedBy).Visible := False;
  cdsStudyList.FieldByName(fnSL_LastModified).Visible := False;

  setDisabledFilter;
  cdsStudyList.EnableControls;

  logEvent('reset Refresh Rate: Out');
end;

////////////////////////////////////////////////////////////////////////////////

procedure TfrmStudyStatusList.updateStudyDetails;

  function CurrText: TTextAttributes;
  begin
    if re.SelLength > 0 then
      Result := re.SelAttributes
    else
      Result := re.DefAttributes;
  end;

begin
  if not pnlDetails.Visible then
    Exit;
  if fIgnore then
    Exit;

  with re do
    begin
      logEvent('    set Details: In');
      Lines.Clear;
      Refresh;
      if (cdsStudyList.Active) and
        (cdsStudyList.RecordCount > 0) then
        begin
          Lines.Add(cdsStudyList.FieldByName(fnSL_Name).AsString);
          SelStart := 0;
          SelLength := Length(cdsStudyList.FieldByName(fnSL_Name).AsString);
          CurrText.Style := [fsBold];
          CurrText.Size := Font.Size + 2;
          if cdsStudyList.FieldByName(fnSL_Sensitive).AsBoolean then
            begin
              Lines.Add('   SSN: * SENSITIVE *');
              Lines.Add('   DOB: * SENSITIVE *');
            end
          else
            begin
              Lines.Add('   SSN: ' +
                cdsStudyList.FieldByName(fnSL_SSN).AsString);
              Lines.Add('   DOB: ' + FormatDateTime('MM/DD/YYYY',
                cdsStudyList.FieldByName(fnSL_DOB).AsDateTime));
            end;
          Lines.Add('   Sex: ' + cdsStudyList.FieldByName(fnSL_SEX).AsString);
          Lines.Add('');
          Lines.Add('');
          Lines.Add('Checked Into CP User: ');
          Lines.Add('   Checked in: ' +
            cdsStudyList.FieldByName(fnSL_CheckedIn).AsString);
          Lines.Add('   Study #: ' +
            cdsStudyList.FieldByName(fnSL_StudyID).AsString);
          Lines.Add('   Study Status: ' +
            cdsStudyList.FieldByName(fnSL_Status).AsString);
        end;
      SelStart := 0;
      logEvent('    set Details: Out');
    end;
end;

procedure TfrmStudyStatusList.UpdateActionStatuses;
var
  dataset: TDataset;
  Actor,
    Status: string;

begin
//  Show;
  logEvent('update Action Statuses: In');
  dataset := dbgStatus.DataSource.DataSet;

  edWS.Text := Engine.getComputerID;

  if dataset.RecordCount < 1 then
    begin
      acEnable.Enabled := False;
      acDisable.Enabled := False;
      acRelease.Enabled := False;
      acSelect.Enabled := False;
      acReview.Enabled := False;
      re.Text := '';

      edPatient.Text := '';
      edStudy.Text := '';
      edOld.Text := '';
    end
  else
    begin
      Status := dataset.FieldByName(fnSL_Status).AsString;
      Actor := dataset.FieldByName(fnSL_StatusBy).AsString;

      acEnable.Enabled :=
        (Preferences.bValue(onAllowUserControlStudyStatus) = True) and
        (Status = snDisabled);

      acDisable.Enabled :=
        (Preferences.bValue(onAllowUserControlStudyStatus) = True) and
        (Status = snEnabled);

{$IFDEF STUDY_STATUS_LIST}
      acRelease.Enabled :=
        //        ((Status = snInUse) or (Status = snReviewed)) and
      (Status <> snEnabled) and
        (
        Preferences.bValue(onAllowUserReleaseSelectedStudy)
        or
        ((Actor = Engine.CurrentOperatorID)
        and
        Preferences.bValue(onAllowUserReleaseStudySelectedBefore)
        )
        );
{$ENDIF}

      acSelect.Enabled := (Status = snEnabled);

      acReview.Enabled := True;

      edPatient.Text := cdsStudyList.FieldByName(fnSL_PatientID).AsString;
      edStudy.Text := cdsStudyList.FieldByName(fnSL_StudyID).AsString;
      edOld.Text := cdsStudyList.FieldByName(fnSL_Status).AsString;
      edUser.Text := cdsStudyList.FieldByName(fnSL_StatusBy).AsString;
    end;

  acRefresh.Enabled := True; //not Preferences.bValue(onStudyListAutorefresh);
  logEvent('update Action Statuses: Out');
end;

////////////////////////////////////////////////////////////////////////////////

procedure TfrmStudyStatusList.dbgStatusDrawColumnCell(Sender: TObject;
  const Rect: TRect; DataCol: Integer; Column: TColumn;
  State: TGridDrawState);
var
  iWidth: Integer;
  dg: TDBGrid;
  field: TField;
  dataset: TDataSet;
  bSensitive: Boolean;
  pattern,
    risk: string;
  RR: TRect;
begin
  dg := TDBGrid(Sender);
  dataset := dg.DataSource.DataSet;
  field := dataset.FieldByName(fnSL_Status);
  risk := field.asString;

  try
    bSensitive := dataset.FieldByName(fnSL_Sensitive).AsBoolean;
  except
    bSensitive := False;
  end;

  if Sender = dbgStatus then
    pattern := fSelectedFieldName
  else
    pattern := fHistorySelectedFieldName;

  if (gdSelected in State) then
    begin
      dg.canvas.font.color := clWhite;
      dg.canvas.brush.color := clNavy;

      if pattern = Column.FieldName then
        dg.canvas.font.Style := [fsBold]
      else
        dg.canvas.font.Style := [];
    end
  else
    begin
      dg.canvas.font.color := clPurple;
      dg.canvas.brush.color := clUnknown;

      if risk = snEnabled then
        dg.canvas.font.color := clBlack;
      if risk = snEnabled then
        dg.canvas.brush.color := clEnabled;

      if risk = snInUse then
        dg.canvas.font.color := clBlue;
      if risk = snInUse then
        dg.canvas.brush.color := clInUse;

      if risk = snDisabled then
        dg.canvas.font.color := clRed;
      if risk = snDisabled then
        dg.canvas.brush.color := clDisabled;

      if pattern = Column.FieldName then
        begin
          dg.canvas.font.Style := [fsBold];
          dg.canvas.font.Color := clPurple;

          iWidth := dg.Canvas.TextWidth(Column.DisplayName);
          if Rect.Right - Rect.Left > iWidth + 8 then
            ilStatus.Draw(dg.Canvas, Rect.Right - 20, 1, isSortGray, True);
        end
      else
        dg.canvas.font.Style := [];
    end;

  with dg do
    begin
      if Columns[DataCol].FieldName = fnSL_StudyID then
        begin
          Canvas.FillRect(Rect);
          if risk = snInUse then
            ilStatus.Draw(Canvas, Rect.Left + 4, Rect.Top, isInUse, True)
          else if risk = snDisabled then
            ilStatus.Draw(Canvas, Rect.Left + 4, Rect.Top, isDisabled, True)
          else if risk = snEnabled then
            ilStatus.Draw(Canvas, Rect.Left + 4, Rect.Top, isEnabled, True)
          else
            ilStatus.Draw(Canvas, Rect.Left + 4, Rect.Top, isUnknown, True);
          RR := Rect;
          RR.Left := Rect.Left + 20;
          DefaultDrawColumnCell(RR, DataCol, Column, State);
        end
      else if (Columns[DataCol].FieldName = fnSL_SSN) or
        (Columns[DataCol].FieldName = fnSL_DOB) then
        begin
          if bSensitive then
            begin
              Canvas.FillRect(Rect);
              ilStatus.Draw(Canvas, Rect.Left + 4, Rect.Top, isSensitive, True);
              ilStatus.Draw(Canvas, Rect.Left + 14, Rect.Top, isSensitive,
                True);
              ilStatus.Draw(Canvas, Rect.Left + 24, Rect.Top, isSensitive,
                True);
            end
          else
            DefaultDrawColumnCell(Rect, DataCol, Column, State);
        end
      else if (Columns[DataCol].FieldName = fnSL_LastModified) and
        (dataset.FieldByName(fnSL_LastModified).AsString = '12/30/1899') then
        begin
          dg.canvas.font.color := dg.canvas.brush.color;
          DefaultDrawColumnCell(Rect, DataCol, Column, State);
        end
      else
        DefaultDrawColumnCell(Rect, DataCol, Column, State);
    end;
end;

////////////////////////////////////////////////////////////////////////////////

function TfrmStudyStatusList.getActiveStudyListTableXML: string;
begin
  fTableXML := '';
  logEvent('get Table XML: In');
  fTableXML := Engine.getSystemOptionByName(onStudyListTable);
  Result := fTableXML;
  logEvent('get Table XML: Out');
end;

procedure TfrmStudyStatusList.saveActiveStudyListTableXML;
var
  _TableXML: string;
begin
  logEvent('set Table XML: In');
  try
    cdsStudyList.MergeChangeLog;
    _TableXML := cdsStudyList.XMLData;
    Engine.setSystemOptionByName(onStudyListTable, _TableXML);
    fTableXML := _TableXML;
  except
  end;
  logEvent('set Table XML: Out');
end;

function TfrmStudyStatusList.setTableByXMLString(anXML: string): Boolean;
begin
  mm.Text := anXML;

  cdsStudyList.DisableControls;
  logEvent('set Table by XML String: In');
  if not cdsStudyList.Active then
    cdsStudyList.Open;
  try
    cdsStudyList.EmptyDataSet;
    cdsStudyList.MergeChangeLog;
    if cdsStudyList.RecordCount > 0 then
      MessageDlg('Trying to add records to non empty table.' + #13 + #10 +
        'The resulting table could contain duplicate records.' + #13 + #10 + ''
        + #13 + #10 +
        'Please, notify the development team.', mtWarning, [mbOK], 0);
    CDSLoadData(cdsStudyList, anXML, fnSL_StudyID);
    Result := True;
  except
    on E: Exception do
      begin
        ShowMessage('Set Table by XML Error:' + #13#10 + E.Message);
        Result := False;
      end;
  end;
  logEvent('set Table by XML String: Out');
  cdsStudyList.EnableControls;
end;

procedure TfrmStudyStatusList.CleanActiveStudyList;
var
  ap: TMDKRegisteredPatient;
begin
  while fActiveStudyList.Count > 0 do
    try
      aP := TMDKRegisteredPatient(fActiveStudyList.Objects[0]);
      ap.Free;
      fActiveStudyList.Delete(0);
    except
    end;
end;

function TfrmStudyStatusList.getActiveStudiesXML: Boolean;
var
  s: string;
begin
  logEvent('get Active Study XML: In');
  s := Engine.GetPatientList;
  mm.Text := s;
{$IFNDEF AANTEST}
  if s = fActiveStudyListXML then
    begin
      Result := True;
      logEvent('get Active Study XML: Out');
      Exit;
    end;
{$ENDIF}
  fActiveStudyListXML := s;
  Result := True;
  logEvent('get Active Study XML: Out');
end;

//..............................................................................

function TfrmStudyStatusList.LocateStudyByID(anID: string): boolean;
begin
  result := cdsStudyList.Locate(fnSL_StudyID, VarArrayOf([anID]), []);
end;

procedure TfrmStudyStatusList.SelectPatient(aReadOnly: Boolean);
begin
  fSelectedPatient.ID := cdsStudyList.FieldByName(fnSL_PatientID).AsString;
  fSelectedPatient.SSN := cdsStudyList.FieldByName(fnSL_SSN).AsString;
  fSelectedPatient.Name := cdsStudyList.FieldByName(fnSL_Name).AsString;
  fSelectedPatient.DOB := cdsStudyList.FieldByName(fnSL_DOB).AsDateTime;
  fSelectedPatient.SessionID := cdsStudyList.FieldByName(fnSL_StudyID).AsString;
  fSelectedPatient.Sex := cdsStudyList.FieldByName(fnSL_Sex).AsString;
  fSelectedPatient.ReadOnly := aReadOnly;
end;

procedure TfrmStudyStatusList.RefreshAccessLog;
var
  anXML: string;
begin
  logEvent('refresh Access Log: In');
  //  anXML := Engine.getSystemOptionByName(onAccessLogTable);
  anXML := Engine.getSystemOptionByName(onWatchListLogTable);
  if (anXML <> '') and (pos('-1', anXML) <> 1) then
    try
      cdsAccessLog.EmptyDataSet;
      cdsStudyList.MergeChangeLog;
      cdsAccessLog.Active := False;

      CDSLoadData(cdsAccessLog, anXML);
      // Load does not require exect match of the table structure
    except
      on E: Exception do
        begin
{$IFDEF AANTEST}ShowMessage('Set AccessLogTable by XML Error:' + #13#10 +
            E.Message);
{$ENDIF}
          cdsAccessLog.Open;
        end;
    end;
  logEvent('refresh Access Log: Out');
end;

procedure TfrmStudyStatusList.RefreshCDS(aCDS: TClientDataSet; aValue: string);
begin
  logEvent('refresh CDS: In');
  if (aValue <> '') and (pos('-1', aVAlue) <> 1) then
    try
      aCDS.EmptyDataSet;
      aCDS.MergeChangeLog;
      aCDS.Active := False;

      CDSLoadData(aCDS, aValue);
      // Load does not require exect match of the table structure
    except
      on E: Exception do
        begin
{$IFDEF AANTEST}ShowMessage('RefreshCDS Error:' + #13#10 + E.Message);
{$ENDIF}
          aCDS.Open;
        end;
    end;
  logEvent('refresh CDS: Out');
end;

procedure TfrmStudyStatusList.RefreshWatchList;
var
  anXML: string;
begin
  anXML := Engine.getSystemOptionByName(onWatchListTable);
  RefreshCDS(cdsWatchList, anXML);
end;

function TfrmStudyStatusList.SaveCDS(aCDS: TClientDataSet; aName: string):
  string;
var
  s: string;

  procedure SaveIt;
  begin
    aCDS.MergeChangeLog;
    if not Engine.setSystemOptionByName(aName, aCDS.XMLData) then
      Result := 'Failed To save option <' + aName + '>'
    else
      Result := '';
    if not Engine.UnLockSystemOption(aName) then
      Result := Result + 'Failed To Unlock System Option  <' + aName + '>';
  end;

begin
  if not Engine.LockSystemOption(aName) then
    begin
      s := Engine.fRenalController.ResultInfo;
      if pos('NO SUCH SETTING', uppercase(s)) <= 0 then
        Result := s
      else
        SaveIt;
    end
  else
    SaveIt;
end;

procedure TfrmStudyStatusList.AddActiveStudy(aRP: TMDKRegisteredPatient);

  procedure CheckData;
  var
    s: string;
  begin
    if (cdsStudyList.FieldByName(fnSL_PatientID).AsString <> aRP.ID) or
      (cdsStudyList.FieldByName(fnSL_Name).AsString <> aRP.Name) or
      (cdsStudyList.FieldByName(fnSL_DOB).AsDateTime <> aRP.DOB) or
      (cdsStudyList.FieldByName(fnSL_Sex).AsString <> aRP.Sex) or
      (cdsStudyList.FieldByName(fnSL_SSN).AsString <> aRP.SSN) then
      begin
        s := 'RPC data does not match data from the active study table:' + #13#10
          + #13#10 +
          'Study:   ' + aRP.SessionID + #13#10 +
          'RPC data:' + #13#10 +
          '        ID:   ' + aRP.ID + #13#10 +
          '        Name: ' + aRP.Name + #13#10 +
          '        SSN:  ' + aRP.SSN + #13#10 +
          '        DOB:  ' + FormatDateTime('mm/dd/yyyy', aRP.DOB) + #13#10 +
          '        Sex:  ' + aRP.Sex + #13#10 + #13#10 +
          'Table data:' + #13#10 +
          '        ID:   ' + cdsStudyList.FieldByName(fnSL_PatientID).AsString +
          #13#10 +
          '        Name: ' + cdsStudyList.FieldByName(fnSL_Name).AsString +
          #13#10 +
          '        SSN:  ' + cdsStudyList.FieldByName(fnSL_SSN).AsString + #13#10
          +
          '        DOB:  ' + cdsStudyList.FieldByName(fnSL_DOB).AsString + #13#10
          +
          '        Sex:  ' + cdsStudyList.FieldByName(fnSL_Sex).AsString + #13#10
          + #13#10;

        {
              if not Preferences.bValue(onAllowUserFixActiveStudyList) then
                begin
                  MessageDLG(s+'Please, notify the administrator',
                    mtWarning,[mbOK],0);

                  Engine.Report(rtWarning,s+'Data was not updated');
                  exit;
                end
              else
                begin

                  if MessageDlg(s+'Do you want to replace the Table data with the RPC data?',
                    mtConfirmation, [mbYes,mbNo], 0) = mrYes then
        }
        begin
          if not (cdsStudyList.State = dsEdit) then
            try
              cdsStudyList.Edit;
            except
            end;
          cdsStudyList.FieldByName(fnSL_PatientID).AsString := aRP.ID;
          cdsStudyList.FieldByName(fnSL_Name).AsString := aRP.Name;
          cdsStudyList.FieldByName(fnSL_DOB).AsString :=
            FormatDateTime('mm/dd/yyyy', aRP.DOB);
          cdsStudyList.FieldByName(fnSL_Sex).AsString := aRP.Sex;
          cdsStudyList.FieldByName(fnSL_SSN).AsString := aRP.SSN;
          cdsStudyList.Post;
          Engine.Report(rtWarning, s +
            'Table data have been replaced with the RPC data');
          {
                      end
                    else
                      Engine.Report(rtWarning,s+'Data was not updated');
          }
        end;
      end;
  end;

  function FindStudyByID(anID: string): Boolean;
  begin
    Result := False;
    cdsStudyList.First;
    while not cdsStudyList.Eof do
      begin
        if cdsStudyList.FieldByName(fnSL_StudyID).AsString = anID then
          begin
            Result := True;
            CheckData;
            Exit;
          end
        else
          cdsStudyList.Next;
      end;
  end;

begin
  if not FindStudyByID(aRP.SessionID) then
    begin
      try
        cdsStudyList.Insert;
      except
      end;
      if not (cdsStudyList.State = dsEdit) then
        try
          cdsStudyList.Edit;
        except
        end;
      try
        cdsStudyList.FieldByName(fnSL_StudyID).AsString := aRP.SessionID;
        cdsStudyList.FieldByName(fnSL_PatientID).AsString := aRP.ID;
        cdsStudyList.FieldByName(fnSL_Name).AsString := aRP.Name;
        cdsStudyList.FieldByName(fnSL_DOB).AsString :=
          FormatDateTime('mm/dd/yyyy', aRP.DOB);
        cdsStudyList.FieldByName(fnSL_Sex).AsString := aRP.Sex;
        cdsStudyList.FieldByName(fnSL_SSN).AsString := aRP.SSN;
        cdsStudyList.FieldByName(fnSL_CheckedIn).AsString := aRP.StudyCheckin;
        if aRP.StudyStatus = 'ACTIVE' then
          cdsStudyList.FieldByName(fnSL_Status).AsString := 'ENABLED'
        else
          cdsStudyList.FieldByName(fnSL_Status).AsString := aRP.StudyStatus;

        cdsStudyList.FieldByName(fnSL_StatusBy).AsString := '*';
        cdsStudyList.FieldByName(fnSL_StatusTime).AsDateTime := Now;
        cdsStudyList.FieldByName(fnSL_LockStatus).AsString := aRP.LockStatus;
        cdsStudyList.FieldByName(fnSL_LockedBy).AsString := aRP.LockedBy;
        cdsStudyList.FieldByName(fnSL_LastModified).AsDateTime :=
          aRP.LastModified;
        cdsStudyList.FieldByName(fnSL_Comments).AsString := 'VistA';
        cdsStudyList.FieldByName(fnSL_CheckedIn).AsString := aRP.StudyCheckIn;

        try
          cdsStudyList.Post;
        except
{$IFDEF AANTEST}
          on E: Exception do
            MessageDlg('Error adding active study to the list:' + #13#10 +
              E.Message, mtError, [mbOK], 0);
{$ENDIF}
        end;

        fNewStudies := fNewStudies +
          Format('%-12.12s  %s', [aRP.SessionID, aRP.Name]) + #13#10;
      except
      end;
    end;
end;

procedure TfrmStudyStatusList.UpdateTableByActiveStudyList;
var
  s: string;
  BM: TBookmark;
  i: integer;
  RP: TMDKRegisteredPatient;

  function IsActiveStudy(aStudyID: string): Boolean;
  var
    ii: integer;
    ap: TMDKRegisteredPatient;
  begin
    Result := False;
    for ii := 0 to fActiveStudyList.Count - 1 do
      begin
        ap := TMDKRegisteredPatient(fActiveStudyList.Objects[ii]);
        if (ap <> nil) and (ap.SessionID = s) then
          begin
            fActiveStudyListXML := '';
            Result := True;
            break;
          end;
      end;
  end;

  procedure restorePosition(aBM: TBookmark);
  begin
    try
      cdsStudyList.GotoBookmark(aBM);
    except
      cdsStudyList.First;
    end;
    cdsStudyList.FreeBookmark(aBM);
  end;

begin
  if not cdsStudyList.Active then
    Exit;

  logEvent('update Table by Active Study List: In');

  BM := cdsStudyList.GetBookmark;

  cdsStudyList.DisableControls;
  if cdsStudyList.Filtered then
    cdsStudyList.Filtered := false;

  cdsStudyList.First;
  while not cdsStudyList.Eof do
    begin
      s := cdsStudyList.FieldByName(fnSL_StudyID).AsString;
      if not IsActiveStudy(s) then
        cdsStudyList.Delete
      else
        cdsStudyList.Next;
    end;

  fNewStudies := '';
  for i := 0 to fActiveStudyList.Count - 1 do
    begin
      RP := TMDKRegisteredPatient(fActiveStudyList.Objects[i]);
      if (RP <> nil) then
        begin
          if rp.StudyStatus = 'ACTIVE' then
            rp.StudyStatus := 'ENABLED';
          AddActiveStudy(RP);
        end;
    end;

  if (fNewStudies <> '') and devOptions.bValue(donNotifyNewStudies) then
    MessageDlg('New Studies added to the list:' + #13 + #10 + #13 + #10 +
      fNewStudies
      , mtInformation, [mbOK], 0);

  saveActiveStudyListTableXML;

  SetDisabledFilter;
  restorePosition(BM);

  cdsStudyList.EnableControls;

  logEvent('update Table by Active Study List: Out');
end;

procedure TfrmStudyStatusList.setSensetivity;
var
  BM: TBookmark;
  sID: string;
  bbList, bbPatient: Boolean;
begin
  logEvent('set Sensitivity: In');

  BM := CDSStudyList.GetBookmark;

  cdsStudyList.First;
  while not cdsStudyList.Eof do
    begin
      sID := cdsStudyList.FieldByName(fnSL_PatientID).AsString;
      bbList := cdsStudyList.FieldByName(fnSL_Sensitive).AsBoolean;

      bbPatient := Engine.IsDataSensitive(sID);
      if bbPatient <> bbList then
        begin
          cdsStudyList.Edit;
          cdsStudyList.FieldByName(fnSL_Sensitive).AsBoolean := bbPatient;
          cdsStudyList.Post;
        end;
      cdsStudyList.Next;
    end;

  CDSStudyList.GotoBookmark(BM);
  CDSStudyList.FreeBookmark(BM);

  logEvent('set Sensitivity: Out');
end;

procedure TfrmStudyStatusList.setDisabledFilter;
begin
  if acShowDisabledStudies.Checked then
    cdsStudyList.Filtered := False
  else
    begin
      cdsStudyList.Filter := fnSL_Status + '<>''' + snDisabled + '''';
      cdsStudyList.Filtered := True;
    end
end;

function TfrmStudyStatusList.AccessRegistered(aPatientID: string): Boolean;
var
  bb: Boolean;
  SL: TStringList;
  sAccessInfo,
    sInfo: string;
begin
  bb := cdsStudyList.FieldByName(fnSL_Sensitive).AsBoolean;
  if bb then
    begin
      SL := TStringList.Create;
      sAccessInfo := Engine.getPatientAccessInfo(aPatientID);
      SL.Text := sAccessInfo;
      sInfo := SL[0];
      SL.Delete(0);
      sSecurityWarning := SL.Text;
      SL.Free;

      if sInfo = '0' then
        begin
          Result := True;
        end
      else if sInfo = '1' then
        begin
          if MessageDlg(
            sSecurityWarning + #13#10 +
            '          Do you want to continue?',
            mtWarning, [mbYes, mbNo], 0) <> mrYes then
            Result := False
          else
            Result := True;
        end
      else if sInfo = '2' then
        begin
          if MessageDlg(
            sSecurityWarning + #13#10 +
            '          Do you want to continue?',
            mtWarning, [mbYes, mbNo], 0) <> mrYes then
            Result := False
          else
            begin
              Engine.getPatientBulletinInfo(aPatientID);
              Result := True;
            end;
        end
      else if sInfo = '-1' then
        begin
          Result := False;
          MessageDLG(
            'Access registration is not completed'#13#10 +
            'RPC/API failed' + #13#10 +
            'Required field is not defined',
            mtWarning, [mbOK], 0);
        end
      else
        begin
          MessageDlg(sSecurityWarning, mtWarning, [mbYes], 0);
          Result := False;
        end;
    end
  else
    Result := True;
end;

procedure TfrmStudyStatusList.LogEvent(anEvent: string);
begin
  if anEvent = '' then
    mmLog.Lines.Add('')
  else
    begin
      if pos(': Out', anEvent) > 0 then
        fMargin := copy(fMargin, 1, Length(fMargin) - Length(sDelta));

      mmLog.Lines.Add(FormatDateTime('hh:mm:ss.zzz', Now) + sDelta + fMargin +
        anEvent);

      if pos(': In', anEvent) > 0 then
        fMargin := fMargin + sDelta;
    end;
end;

////////////////////////////////////////////////////////////////////////////////

procedure TfrmStudyStatusList.dsStudyListDataChange(Sender: TObject;
  Field: TField);
begin
  if fIgnoreCDSChange then
    Exit;
  UpdateActionStatuses;
  UpdateStudyDetails;
end;

procedure TfrmStudyStatusList.tmrRefreshTimer(Sender: TObject);
begin
  if fIgnoreTimer then
    Exit;
  dec(fCount);
  if fCount < 1 then
    begin
      tmrRefresh.Enabled := False;
      acRefreshExecute(nil);
    end
  else
    lblAutorefresh.Caption := Format('Autorefresh in %d sec', [fCount]);
end;

procedure TfrmStudyStatusList.dbgAccessHistoryTitleClick(Column: TColumn);
begin
  if cbLink.Checked then
    Exit;
  if fHistorySelectedFieldName = Column.FieldName then
    begin
    end
  else
    begin
      fHistorySelectedFieldName := Column.FieldName;
      cdsAccessLog.IndexFieldNames := fHistorySelectedFieldName;
    end;
end;

procedure TfrmStudyStatusList.cbRegisterClick(Sender: TObject);
begin
  if cbRegister.Checked then
    devOptions.setValue(donRegisterStudyAccess, 'TRUE')
  else
    devOptions.setValue(donRegisterStudyAccess, 'FALSE');
  Engine.SaveSystemOptions;
  Preferences.Overwrite(sysOptions.ValueList.Text);
  Preferences.Overwrite(userOptions.ValueList.Text);
end;

procedure TfrmStudyStatusList.dbgStatusTitleClick(Column: TColumn);
begin
  if fSelectedFieldName = Column.FieldName then
    begin
    end
  else
    begin
      fSelectedFieldName := Column.FieldName;
      cdsStudyList.IndexFieldNames := fSelectedFieldName;
    end;
end;

procedure TfrmStudyStatusList.Cancel1Click(Sender: TObject);
begin
  ModalResult := mrCancel;
end;

procedure TfrmStudyStatusList.SpeedButton4Click(Sender: TObject);
begin
  SaveActiveStudyListTableXML;
end;

procedure TfrmStudyStatusList.pnlToolbarDblClick(Sender: TObject);
begin
{$IFDEF AANTEST}pnlActions.Visible := not pnlActions.Visible;
{$ENDIF}
end;

procedure TfrmStudyStatusList.dbgStatusDblClick(Sender: TObject);
begin
  if acSelect.Enabled then
    acSelect.Execute
  else
    acReview.Execute;
end;

procedure TfrmStudyStatusList.dbgStatusKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
  if key = VK_Return then
    dbgStatusDblClick(nil)
  else if (key = VK_Delete) and (ssCtrl in Shift) and (ssShift in Shift)
    and (Engine.CurrentOperatorMode = rnADMIN) then
    begin
      if MessageDlg('Delete Study <' +
        cdsStudyList.FieldByName(fnSL_StudyID).AsString + '> information?',
        mtConfirmation, [mbOK, mbCancel], 0) = mrOk then
        begin
          Key := 0;
          cdsStudyList.Delete;
          acSaveTableXML.Execute;
        end;
    end;
end;

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

procedure TfrmStudyStatusList.SaveBooleanOption(aName: string; aValue: Boolean;
  aType: string = otUser);
var
  sValue: string;
  Options: TUserOptions;
begin
  if aType = otUser then
    Options := UserOptions
  else if aType = otSystem then
    Options := SysOptions
  else if aType = otDeveloper then
    Options := devOptions
  else
    Exit;
  if aValue then
    sValue := 'TRUE'
  else
    sValue := 'FALSE';

  Options.setValue(aName, sValue);

  if aType = otSystem then
    begin
      Engine.SaveSystemOptions;
      Preferences.Overwrite(sysOptions.ValueList.Text);
      Preferences.Overwrite(userOptions.ValueList.Text);
    end
  else if aType = otUser then
    begin
      Engine.SaveUserOptions;
      Preferences.Overwrite(userOptions.ValueList.Text);
    end
end;

////////////////////////////////////////////////////////////////////////////////

procedure TfrmStudyStatusList.acAutorefreshExecute(Sender: TObject);
begin
  acAutorefresh.Checked := not acAutorefresh.Checked;
  tmrRefresh.Enabled := acAutorefresh.Checked;
  SaveBooleanOption(onStudyListAutorefresh, acAutorefresh.Checked, otUserSettings);
  if not acAutorefresh.Checked then
    lblAutorefresh.Caption := 'Autorefresh: Off'
  else
    begin
      lblAutorefresh.Caption := 'Autorefresh: On';
      ResetRefreshRate;
    end;
end;

procedure TfrmStudyStatusList.acShowLegendExecute(Sender: TObject);
begin
  pnlLegend.Visible := not pnlLegend.Visible;
  acShowLegend.Checked := pnlLegend.Visible;
  SaveBooleanOption(onShowStudyDetailsLegend, acShowLegend.Checked);
end;

procedure TfrmStudyStatusList.acShowDetailsExecute(Sender: TObject);
begin
  fIgnoreCDSChange := True;
  pnlDetails.Visible := not pnlDetails.Visible;
  acShowDetails.Checked := pnlDetails.Visible;
  SaveBooleanOption(onShowStudyDetails, acShowDetails.Checked);

  fIgnoreCDSChange := False;
  updateStudyDetails;
end;

procedure TfrmStudyStatusList.acShowDisabledStudiesExecute(
  Sender: TObject);
begin
  acShowDisabledStudies.Checked := not acShowDisabledStudies.Checked;
  SaveBooleanOption(onShowDisabledStudies, acShowDisabledStudies.Checked);
  SetDisabledFilter;
end;

//..............................................................................

procedure TfrmStudyStatusList.acGetTableXMLExecute(Sender: TObject);
var
  s: string;
begin
  s := getActiveStudyListTableXML;
  mm.Lines.Text := s;
  setTableByXMLString(s);
end;

procedure TfrmStudyStatusList.acSaveTableXMLExecute(Sender: TObject);
begin
  saveActiveStudyListTableXML;
end;

procedure TfrmStudyStatusList.acGetActiveStudiesExecute(Sender: TObject);
begin
  getActiveStudiesXML;
end;

procedure TfrmStudyStatusList.acUpdateTableByActiveStudyListExecute(
  Sender: TObject);
begin
  UpdateTableByActiveStudyList
end;

procedure TfrmStudyStatusList.acRefreshExecute(Sender: TObject);
var
  sXML,
    sID: string;
begin
  setActionsActiveStatus(False); // vhaishandria 2007-09-19

  logEvent('refresh: In');

  tmrRefresh.Enabled := False;

  fIgnoreCDSChange := true;
  cdsStudyList.DisableControls;

  lblAutorefresh.Caption := 'Refreshing...';
  lblAutorefresh.Refresh;
  grbActiveStudyList.Refresh;

  re.Text := '';
  re.Refresh;

  sID := '';
  if (cdsStudyList.RecordCount > 0) and not cdsStudyList.BOF then
    try
      sID := cdsStudyList.FieldByName(fnSL_StudyID).AsString;
    except
    end;

  sXML := getActiveStudyListTableXML;
  setTableByXMLString(sXML);
  getActiveStudiesXML;
  CleanActiveStudyList;

  fActiveStudyList := NewRegisteredPatientList(fActiveStudyListXML);
  UpdateTableByActiveStudyList;

  ResetRefreshRate;

  setSensetivity;

  if sID <> '' then
    LocateStudyByID(sID)
  else
    try
      cdsStudyList.First;
      //UpdateActionStatuses;
    except
    end;

  UpdateActionStatuses; // vhaishandria 2007-09-19

  updateStudyDetails;

  RefreshAccessLog;
  RefreshWatchList;

  cdsStudyList.EnableControls;
  fIgnoreCDSChange := false;

  logEvent('refresh: Out' + #13#10);
end;

//..............................................................................

function TfrmStudyStatusList.LogNeeded: Boolean;

  function ItemNeeded(aType: string; aValueName: string): Boolean;
  var
    s: string;
  begin

    try
      s := cdsStudyList.FieldByName(aValueName).AsString;
    except
      s := '';
    end;

    Result := cdsWatchList.Locate(fnWL_ItemType + ';' + fnWL_ItemID,
      VarArrayOf([aType, s]), []);
    if Result then
      Result := Result and cdsWatchList.FieldByName(fnWL_Enabled).AsBoolean
    else
      Result := cdsWatchList.Locate(fnWL_ItemType + ';' + fnWL_ItemID,
        VarArrayOf([aType, '*']), []);
  end;

begin
  Result := False;

  if not Result then
    Result := Result or ItemNeeded(WL_USER, fnSL_StatusBy);
  if not Result then
    Result := Result or ItemNeeded(WL_STUDY, fnSL_StudyID);
  if not Result then
    Result := Result or ItemNeeded(WL_WORKSTATION, fnSL_Comments);
  if not Result then
    Result := Result or ItemNeeded(WL_PATIENT, fnSL_PatientID);
  if not Result then
    Result := Result or ItemNeeded(WL_STATUS_OLD, fnSL_StatusOld);
  if not Result then
    Result := Result or ItemNeeded(WL_STATUS_NEW, fnSL_Status);
end;

procedure TfrmStudyStatusList.LogAction(
  aStatusOld, aStatusNew, aStudy, aPatient, aResult, aComments: string; DT:
  TDateTime);
var
  sOptionName,
    s: string;

  procedure setNameValue(aName, aValue: string);
  begin
    cdsAccessLog.FieldByName(aName).AsString := aValue;
  end;

  procedure addLogRecord;
  begin
    RefreshAccessLog;
    try
      cdsAccessLog.Insert;

      cdsAccessLog.FieldByName(fnSL_StatusTime).AsDateTime := Now;
      cdsAccessLog.FieldByName(fnSL_RegisteredAt).AsDateTime := Now;

      setNameValue(fnSL_SessionID, ApplicationSessionID);
      setNameValue(fnSL_UserID, Engine.UserDUZ);
      setNameValue(fnSL_Workstation, Engine.getComputerID);
      setNameValue(fnSL_PatientID, aPatient);
      setNameValue(fnSL_StudyID, aStudy);
      setNameValue(fnSL_Status, aStatusNew);
      setNameValue(fnSL_StatusOld, aStatusOld);
      setNameValue(fnSL_Result, aResult);

      setNameValue(fnSL_Comments, aComments);
      try
        cdsAccessLog.Post;
      except
      end;
      cdsAccessLog.MergeChangeLog;

      Engine.setSystemOptionByName(onWatchListLogTable {onAccessLogTable},
        cdsAccessLog.XMLData);
    except
    end;
  end;

begin
  // versions prior to 307 used onAccessLogTable to keep data
  // in 307 the table structure was changed. The new table is kept as
  // onWatchLostLogTable to avoid "missing field" error messages.

  sOptionName := onWatchListLogTable;

  logEvent('log Action: In');
  if not devOptions.bValue(donRegisterStudyAccess) then
    Exit
  else if LogNeeded then
    begin
      cdsAccessLog.DisableControls;

      s := Engine.getSystemOptionByName(sOptionName);
      if (s = '') then
        begin
          AddLogRecord;
          SaveCDS(cdsAccessLog, sOptionName);
        end
      else if Engine.LockSystemOption(sOptionName) then
        begin
          AddLogRecord;
          SaveCDS(cdsAccessLog, sOptionName);
          Engine.UnLockSystemOption(sOptionName);
        end
      else
        ShowMessage('Register Access Failed' + #13#10#13#10 +
          'Option Name <' + sOptionName + '>' + #13#10 +
          'Error:' + #13#10 +
          Engine.fRenalController.ResultInfo);

      cdsAccessLog.EnableControls;
    end;
  logEvent('log Action: Out');
end;

function ResultMsg(aResult: Integer): string;
begin
  case aResult of
    rcStudyNotFound: Result := 'Study not found';
    rcStudyStatusOK: Result := '';
    rcStudyStatusLockFailed: Result := 'Study list lock failed';
    rcStudyStatusChanged: Result := 'Study status has been changed ';
    rcStudyStatusWrong: Result := 'Invalid study status';
  else
    Result := 'Unknown result code <' + IntToStr(aResult) + '>';
  end;
end;

function ResultName(aResult: Integer): string;
begin
  case aResult of
    rcStudyStatusOK: Result := 'OK';
  else
    Result := 'Failed';
  end;
end;

function TfrmStudyStatusList.setStudyStatus(aStatus: string; out ErrorMsg:
  string): Integer;
var
  _TableXML, sActor, sStudyID, sPatientID, sStatus, sStatusBy, s: string;
  sStatusOld
  , sStatusNew, sStatusByNew//, sResult
  : string;
  bStop: Boolean;

  function IsRecordUpdated(aStudyID, aStatus: string): Boolean;
  begin
    Result :=
    (snEnabled <> cdsStudyList.FieldByName(fnSL_Status).AsString) and
    (aStatus <> cdsStudyList.FieldByName(fnSL_Status).AsString);
  end;

  function SetRecordStatus(aStatus, anActor, aWorkstation, aResult, aComments:
    string): Boolean;
  var
    DT: TDateTime;
  begin
    logEvent('set Record Status: In');
    Result := True;
    if not (cdsStudyList.State = dsEdit) then
      try
        cdsStudyList.Edit;
      except
      end;

    DT := Now;
    cdsStudyList.FieldByName(fnSL_Status).AsString := aStatus;
    cdsStudyList.FieldByName(fnSL_StatusBy).AsString := anActor;
    cdsStudyList.FieldByName(fnSL_StatusTime).AsDateTime := DT;

    if aComments <> '' then // b.304 vhaishandria 060912
      cdsStudyList.FieldByName(fnSL_Comments).AsString := aComments
    else
      cdsStudyList.FieldByName(fnSL_Comments).AsString := aWorkstation;

    try
      cdsStudyList.Post;
    except
      Result := False;
    end;
    logEvent('set Record Status: Out');
  end;

begin
  logEvent('set Study Status: In');
  if not Engine.LockSystemOption(onStudyListTable) then
    begin
      ErrorMsg := msgStudyListLockFailed + Engine.fRenalController.ResultInfo;
      Result := rcStudyStatusLockFailed;
    end
  else
    begin
      sStudyID := cdsStudyList.FieldByName(fnSL_StudyID).AsString;
      sPatientID := cdsStudyList.FieldByName(fnSL_PatientID).AsString;
      sStatus := cdsStudyList.FieldByName(fnSL_Status).AsString;
      sStatusOld := sStatus;
      sStatusBy := cdsStudyList.FieldByName(fnSL_StatusBy).AsString;
      sActor := Engine.CurrentOperatorID;

      s := fTableXML;
      _TableXML := getActiveStudyListTableXML;
      if (_TableXML <> '') and (pos(s, fTableXML) <> 1) then
        begin
          mm.Text :=
            'OLD Value:' + #13#10 + s + #13#10#13#10 +
            'New Value:' + #13#10 + fTableXML
            ;
          setTableByXMLString(_tableXML);

          bStop := True;

          sStatusNew := 'Unknown';
          sStatusByNew := 'Unknown';
          if LocateStudyByID(sStudyID) then
            begin
              sStatusNew := cdsStudyList.FieldByName(fnSL_Status).AsString;
              bStop := IsRecordUpdated(sStudyID, sStatus);
              if bStop then
                begin
                  sStatusNew := cdsStudyList.FieldByName(fnSL_Status).AsString;
                  sStatusByNew := cdsStudyList.FieldByName(fnSL_StatusBy).AsString;
                end;
            end;

          if bStop then
            begin
              ErrorMsg := msgStudyHasBeenChanged + #13#10#13#10 +
                'Study:      ' + sStudyID + #13#10 +
                'Old Status: ' + sStatus + #13#10 +
                'Set By:     ' + sStatusBy + #13#10 + #13#10 +
                'New Status: ' + sStatusNew + #13#10 +
                'Set By:     ' + sStatusByNew;

              Engine.UnLockSystemOption(onStudyListTable);
              Result := rcStudyStatusChanged;
              Exit;
            end;
        end;

      LocateStudyByID(sStudyID);
      setRecordStatus(aStatus, sActor, getWorkstationName, 'OK', '');
      saveActiveStudyListTableXML;
      Engine.UnLockSystemOption(onStudyListTable);
      Result := rcStudyStatusOK;
    end;
  logEvent('set Study Status: Out');
end;

function TfrmStudyStatusList.ReleaseStudy(aStudyID: string; var ErrorMsg:
  string): integer;
var
  sComment,
    sStatusOld,
    sWorkstation,
    sPatientID: string;
begin
  sComment := ErrorMsg;
  if sComment <> '' then
    sComment := sComment + ' ';
  if aStudyID = '' then
    begin
      Result := rcStudyStatusOK;
      LogAction('', '', aStudyID, '', ResultName(Result), ErrorMsg +
        ' No Study Selected', Now);
    end
  else if LocateStudyByID(aStudyID) then
    begin
      sPatientID := cdsStudyList.FieldByName(fnSL_PatientID).AsString;
      sStatusOld := cdsStudyList.FieldByName(fnSL_Status).AsString;
      sWorkstation := cdsStudyList.FieldByName(fnSL_Comments).AsString;
      Result := SetStudyStatus(snEnabled, ErrorMsg);
      ErrorMsg := sComment + 'Release ' + ResultMsg(Result);
      LogAction(sStatusOld, snEnabled, aStudyID, sPatientID, ResultName(Result),
        ErrorMsg, Now);
    end
  else
    begin
      ErrorMsg := 'Can not find the study "' + aStudyID + '"' + #13#10 +
        'No "Release" have been performed';
      Result := rcStudyNotFound;
      LogAction('', '', aStudyID, '', ResultName(Result), ErrorMsg, Now);
    end;
end;

//..............................................................................

procedure TfrmStudyStatusList.acReleaseExecute(Sender: TObject);
var
  ErrorMsg,
    sStatusOld,
    //    sStatusNew,
  sName,
    sWorkstation,
    sStudyID,
    sPatientID: string;
  RC: Integer;
begin
  setActionsActiveStatus(False);// vhaishandria 2007-09-19

  ErrorMsg := '';
  sStudyID := cdsStudyList.FieldByName(fnSL_StudyID).AsString;
  sPatientID := cdsStudyList.FieldByName(fnSL_PatientID).AsString;
  sStatusOld := cdsStudyList.FieldByName(fnSL_Status).AsString;
  sWorkstation := cdsStudyList.FieldByName(fnSL_Comments).AsString;

  if sWorkstation <> Engine.getComputerID then
    begin
      sName := cdsStudyList.FieldByName(fnSL_StatusBy).AsString;
      ErrorMsg := 'Study ' + sStudyID + ' is currently marked as being  ' +
        #13#10#13#10 +
        'IN USE by ' + sName + #13#10 +
        '(work station ' + sWorkstation + ')' + #13#10#13#10 +
        'If you release this study, the data entered by  ' + #13#10 +
        sName + ' could be lost.' + #13#10#13#10 +
        'Are you sure you wish to continue?';
      if MessageDlg(ErrorMsg, mtConfirmation, [mbNo, mbYes], 0) <> mrYes then
        Exit;
    end;

  RC := frmStudyStatusList.ReleaseStudy(sStudyID, ErrorMsg);
  case RC of
    rcStudyStatusOK:
      Engine.Report(rtInfo, 'Study <' + sStudyID + '> Released', '', 0, '',
        'Release Study');
    rcStudyNotFound,
      rcStudyStatusLockFailed,
      rcStudyStatusChanged:
      begin
        Engine.Report(rtError, 'Study <' + sStudyID + '> Release Failed', '', 0,
          '', 'Release Study');
        MessageDLG('Can not release study "' + sStudyID + '" ' + #13#10 +
          'Error found: ' + #13#10 + ErrorMsg + #13#10 + #13#10 +
          'NOTE:' + #13#10 +
          'If you can continue work without releasing the study.' + #13#10 +
          'In that case it will stay labeled "IN USE" ' + #13#10 +
          'and no user could update it''s data' + #13#10 +
          'and could be released later by an ADMIN' + #13#10 +
          'Do you want to continue without RELEASE?',
          mtConfirmation, [mbYes, mbNo], 0);
      end;
  end;

  if ErrorMsg = '' then
    ErrorMsg := 'Release ';
  LogAction(sStatusOld, snEnabled, sStudyID, sPatientID, ResultName(RC), ErrorMsg
    + ResultMsg(RC), Now);

  UpdateActionStatuses;// vhaishandria 2007-09-19
end;

procedure TfrmStudyStatusList.acDisableExecute(Sender: TObject);
var
  sID: string;
  ErrorMsg,
    s: string;
  sStatusOld,
    sPatientID: string;
  RC: Integer;
begin

  fIgnore := True;

  ErrorMsg := '';
  sPatientID := cdsStudyList.FieldByName(fnSL_PatientID).AsString;
  sStatusOld := cdsStudyList.FieldByName(fnSL_Status).AsString;

  s := cdsStudyList.FieldByName(fnSL_Status).AsString;
  sID := cdsStudyList.FieldByName(fnSL_StudyID).AsString;
  if s = snEnabled then
    begin
      RC := SetStudyStatus(snDisabled, ErrorMsg);
      case RC of
        rcStudyStatusOK:
          Engine.Report(rtInfo, 'Study <' + sID + '> Disabled', '', 0, '',
            'Disable Study');
        rcStudyStatusLockFailed,
          rcStudyStatusChanged:
          begin
            Engine.Report(rtError, 'Study <' + sID + '> Disable Failed', '', 0,
              '', 'Disable Study');
            ShowMessage('Study <' + sID + '> Disable Failed' + #13#10#13#10 +
              ErrorMsg);
          end;
      end;
    end
  else
    begin
      RC := rcStudyStatusWrong;
      ReportWrongStatus(s, snEnabled);
    end;

  if ErrorMsg = '' then
    ErrorMsg := 'Disable ';
  LogAction(sStatusOld, snDisable, sID, sPatientID, ResultName(RC), ErrorMsg +
    ResultMsg(RC), Now);

  fIgnore := False;
end;

procedure TfrmStudyStatusList.acEnableExecute(Sender: TObject);
var
  sID,
    ErrorMsg,
    s: string;
  sStatusOld,
    sPatientID: string;
  RC: Integer;
begin
  fIgnore := True;
  ErrorMsg := '';
  sPatientID := cdsStudyList.FieldByName(fnSL_PatientID).AsString;
  sStatusOld := cdsStudyList.FieldByName(fnSL_Status).AsString;

  s := cdsStudyList.FieldByName(fnSL_Status).AsString;
  sID := cdsStudyList.FieldByName(fnSL_StudyID).AsString;
  if s = snDisabled then
    begin
      RC := SetStudyStatus(snEnabled, ErrorMsg);
      case RC of
        rcStudyStatusOK:
          Engine.Report(rtInfo, 'Study <' + sID + '> Enabled', '', 0, '',
            'Enable Study');
        rcStudyStatusLockFailed,
          rcStudyStatusChanged:
          begin
            Engine.Report(rtError, 'Study <' + sID + '> Enable Failed', '', 0,
              '', 'Enable Study');
            ShowMessage('Study <' + sID + '> Enable Failed' + #13#10#13#10 +
              ErrorMsg);
          end;
      end;
    end
  else
    begin
      RC := rcStudyStatusWrong;
      ReportWrongStatus(s, snEnabled);
    end;

  if ErrorMsg = '' then
    ErrorMsg := 'Enable';
  LogAction(sStatusOld, snEnabled, sID, sPatientID, ResultName(RC), ErrorMsg +
    ResultMsg(RC), Now);
  fIgnore := False;
end;

procedure TfrmStudyStatusList.acSelectExecute(Sender: TObject);
var
  ErrorMsg,
    sID,
    sSecurity,
    s: string;
  sStatusOld,
    sPatientID: string;
  RC: Integer;
begin
  Hide;
  setActionsActiveStatus(False); // vhaishandria 2007-09-19

  ErrorMsg := '';
  sPatientID := cdsStudyList.FieldByName(fnSL_PatientID).AsString;
  sStatusOld := cdsStudyList.FieldByName(fnSL_Status).AsString;

  sID := cdsStudyList.FieldByName(fnSL_StudyID).AsString;
  s := cdsStudyList.FieldByName(fnSL_Status).AsString;
  if s = snEnabled then
    begin
      sSecurity := cdsStudyList.FieldByName(fnSL_SSN).AsString;

      if (not AccessRegistered(sPatientID)) then
        begin
          Show;
          UpdateActionStatuses;// vhaishandria 2007-09-19
          Exit;
        end;
      s := cdsStudyList.FieldByName(fnSL_StudyID).AsString;
      RC := SetStudyStatus(snInUse, ErrorMsg);
      case RC of
        rcStudyStatusOK:
          begin
            LocateStudyByID(s);
            SelectPatient(False);
            ModalResult := mrOK;
          end;
        rcStudyStatusLockFailed,
          rcStudyStatusChanged:
          begin
            show;
            Engine.Report(rtError, 'Study <' + sID + '> selection failed.'+
              #13#10+ErrorMsg, '', 0, '', 'Select Study');
            MessageDLG('Study <' + sID + '> selection failed.' + #13#13 +
              ErrorMsg+#13#13+'Try select study again later.',
              mtInformation,[mbOK],0);
          end;
      end;
    end
  else
    begin
      RC := rcStudyStatusWrong;
      ReportWrongStatus(s, snEnabled);
    end;

  if ErrorMsg = '' then
    ErrorMsg := 'Select ';
  LogAction(sStatusOld, snInUse, sID, sPatientID, ResultName(RC), ErrorMsg +
    ResultMsg(RC), Now);

  UpdateActionStatuses;// vhaishandria 2007-09-19
end;

procedure TfrmStudyStatusList.acReviewExecute(Sender: TObject);
var
  sStatusOld,
    sPatientID: string;
  sStudyID: string;
begin
  Hide;
  setActionsActiveStatus(False); // vhaishandria 2007-09-19

  sStudyID := cdsStudyList.FieldByName(fnSL_StudyID).AsString;
  sPatientID := cdsStudyList.FieldByName(fnSL_PatientID).AsString;
  sStatusOld := cdsStudyList.FieldByName(fnSL_Status).AsString;
  if not AccessRegistered(cdsStudyList.FieldByName(fnSL_PatientID).AsString)
    then
    begin
      LogAction(sStatusOld, sStatusOld, sStudyID, sPatientID, 'Failed',
        'Access to sensitive data not completed', Now);
      Show;
    end
  else
    begin
      SelectPatient(True);
      //  RegisterAccess(snReviewed, Engine.CurrentOperatorID, getWorkstationName, '', Now);
      ModalResult := mrOK;
      LogAction(sStatusOld, sStatusOld, sStudyID, sPatientID, 'OK', 'Review',
        Now);
    end;

  UpdateActionStatuses;// vhaishandria 2007-09-19
end;

//..............................................................................

procedure TfrmStudyStatusList.acShowAccessHistoryExecute(Sender: TObject);
begin
{$IFDEF SHOWACCESSHISTORY}
  acShowAccessHistory.Checked := not acShowAccessHistory.Checked;
  if acShowAccessHistory.Checked then
    userOptions.setValue(onAccessHistoryChecked, 'TRUE')
  else
    userOptions.setValue(onAccessHistoryChecked, 'FALSE');

  Engine.SaveUserOptions;
  Preferences.Overwrite(userOptions.ValueList.Text);

  SetUpLayout;
{$ENDIF}
end;

procedure TfrmStudyStatusList.acClearAccessHistoryExecute(Sender: TObject);
var
  _TableXML: string;
  msg: string;
begin
  msg := 'You are about to deleted the information about access to the study' +
    #13#10#13#10 +
    'Currenttly there are ' + IntToStr(cdsAccessLog.RecordCount) + ' records' +
    #13#10 +
    'Are you sure you wish to continue?';
  if MessageDlg(msg, mtConfirmation, [mbNo, mbYes], 0) = mrYes then
    begin
      cdsAccessLog.First;
      while not cdsAccessLog.Eof do
        cdsAccessLog.Delete;
      try
        cdsAccessLog.MergeChangeLog;
        _TableXML := cdsAccessLog.XMLData;
        Engine.setSystemOptionByName(onWatchListLogTable, _TableXML);
      except
      end;
    end;
end;

procedure TfrmStudyStatusList.acLinkTablesExecute(Sender: TObject);
var
  BM: TBookmark;
begin
  cdsAccessLog.DisableControls;
  cdsStudyList.DisableControls;

  fHistorySelectedFieldName := '';

  BM := cdsStudyList.GetBookmark;
  cdsAccessLog.Active := False;
  cdsStudyList.Active := False;
  if cdsAccessLog.MasterSource = nil then
    try
      cdsAccessLog.Close;
      cdsAccessLog.MasterSource := dsStudyList;
      cdsAccessLog.MasterFields := fnSL_StudyID;
      cdsAccessLog.IndexFieldNames := fnSL_StudyID + ';' + fnSL_StatusTime;
      cdsAccessLog.Open;
    except
    end
  else
    begin
      cdsStudyList.Close;
      cdsAccessLog.Close;
      cdsAccessLog.MasterSource := nil;
      cdsStudyList.Open;
      cdsAccessLog.Open;
    end;

  cdsAccessLog.Active := True;
  cdsStudyList.Active := true;

  cdsStudyList.GotoBookmark(BM);
  cdsStudyList.FreeBookmark(BM);

  cdsStudyList.EnableControls;
  cdsAccessLog.EnableControls;
end;

procedure TfrmStudyStatusList.acLockHistoryTableExecute(Sender: TObject);
begin
  if not Engine.LockSystemOption(onWatchListLogTable) then
    ShowMessage('Lock Access Failed' + #13#10#13#10 +
      Engine.fRenalController.ResultInfo);
end;

procedure TfrmStudyStatusList.acUnLockHistoryTableExecute(Sender: TObject);
begin
  if not Engine.UnLockSystemOption(onWatchListLogTable) then
    ShowMessage('Unlock Access Failed' + #13#10#13#10 +
      Engine.fRenalController.ResultInfo);
end;

procedure TfrmStudyStatusList.acShowLogExecute(Sender: TObject);
begin
{$IFDEF SHOWLOG}
{$IFDEF AANTEST}pnlActions.Visible := not pnlActions.Visible;
{$ENDIF}
  if (Engine.CurrentOperatorMode = preferences.bValue(onAllowUserReviewLog) then
    begin
      splLog.Align := alRight;
      splLog.Visible := False;
      pnlLog.Visible := not pnlLog.Visible;
      if pnlLog.Visible then
        begin
          splLog.Align := alLeft;
          splLog.Visible := true;
        end;
      acShowLog.Checked := pnlLog.Visible;
    end;
{$ENDIF}
end;

procedure TfrmStudyStatusList.acOpenStudyListExecute(Sender: TObject);
begin
  try
    cdsStudyList.Active := True;
  except
    on E: Exception do
      ShowMessage('Open Study List Error:' + #13 + #10 + E.Message);
  end;
end;

procedure TfrmStudyStatusList.acResetActiveListExecute(Sender: TObject);
begin
  if MessageDlg('The contents of the Active Study table will be deleted.' + #13
    + #10 +
    'You will need to use "Refresh" to populate it again.' + #13 + #10 +
    'Information about current use of studies will be lost.' + #13 + #10 +
    '' + #13 + #10 + 'Do you want to continue?', mtConfirmation, [mbOK,
    mbCancel], 0) <> mrOK then
    Exit;

  if not Engine.LockSystemOption(onStudyListTable) then
    MessageDlg('Can not Lock Active Study List table.' + #13 + #10 +
      '          Try again later....', mtWarning, [mbOK], 0)
  else
    begin
      cdsStudyList.EmptyDataSet;
      cdsStudyList.MergeChangeLog;
      saveActiveStudyListTableXML;
      if not Engine.UnLockSystemOption(onStudyListTable) then
        MessageDlg('Can not Un-Lock Active Study List table.' + #13 + #10 +
          'Close the application and start again.', mtWarning, [mbOK], 0)
    end;
end;

procedure TfrmStudyStatusList.WLAdd(aType, anID: string);
begin
  try
    cdsWatchList.Insert;
    cdsWatchList.FieldByName(fnWL_Enabled).AsBoolean := True;
    cdsWatchList.FieldByName(fnWL_ItemType).AsString := aType;
    cdsWatchList.FieldByName(fnWL_ItemID).AsString := anID;
    cdsWatchList.FieldByName(fnWL_RegisteredBy).AsString :=
      Engine.CurrentOperatorID;
    cdsWatchList.FieldByName(fnWL_RegisteredAt).AsDateTime := Now;

    cdsWatchList.FieldByName(fnWL_StatusBy).AsString :=
      Engine.CurrentOperatorID;
    cdsWatchList.FieldByName(fnWL_StatusAt).AsDateTime := Now;
    cdsWatchList.Post;
    SaveCDS(cdsWatchList, onWatchListTable);
  except
  end;
end;

procedure TfrmStudyStatusList.acWLAddUserExecute(Sender: TObject);
begin
  WLAdd(WL_USER, edUser.Text);
end;

procedure TfrmStudyStatusList.acWLAddStudyExecute(Sender: TObject);
begin
  WLAdd(WL_STUDY, edStudy.Text);
end;

procedure TfrmStudyStatusList.acWLAddWorkstationExecute(Sender: TObject);
begin
  WLAdd(WL_WORKSTATION, edWS.Text);
end;

procedure TfrmStudyStatusList.acWLAddPatientExecute(Sender: TObject);
begin
  WLAdd(WL_PATIENT, edPatient.Text);
end;

procedure TfrmStudyStatusList.acWLAddStatusOldExecute(Sender: TObject);
begin
  WLAdd(WL_STATUS_OLD, edOld.Text);
end;

procedure TfrmStudyStatusList.acWLAddStatusNewExecute(Sender: TObject);
begin
  WLAdd(WL_STATUS_NEW, edNew.Text);
end;

procedure TfrmStudyStatusList.cdsWatchListAfterPost(DataSet: TDataSet);
begin
  SaveCDS(cdsWatchList, onWatchListTable);
end;

procedure TfrmStudyStatusList.dbgWatchListKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
  if Key = VK_RETURN then
    try
      if dbgWatchList.DataSource.DataSet.State = dsEdit then
        dbgWatchList.DataSource.DataSet.Post;
    except
    end
end;

procedure TfrmStudyStatusList.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  SaveCDS(cdsAccessLog, onWatchListLogTable);
  SaveCDS(cdsWatchList, onWatchListTable);
end;

procedure TfrmStudyStatusList.dbgWatchListDrawColumnCell(Sender: TObject;
  const Rect: TRect; DataCol: Integer; Column: TColumn;
  State: TGridDrawState);
var
  dg: TDBGrid;
  dataset: TDataSet;
  bEnabled: Boolean;
begin
  dg := TDBGrid(Sender);
  dataset := dg.DataSource.DataSet;

  try
    bEnabled := dataset.FieldByName(fnWL_Enabled).AsBoolean;
  except
    bEnabled := False;
  end;

  if not (gdSelected in State) then
    if bEnabled then
      dg.canvas.brush.color := clCream
    else
      dg.canvas.brush.color := clSilver;

  dg.DefaultDrawColumnCell(Rect, DataCol, Column, State);
end;

procedure TfrmStudyStatusList.dbgWatchListDblClick(Sender: TObject);
begin
  try
    if cdsWatchList.State <> dsEdit then
      cdsWatchList.Edit;
    cdsWatchList.FieldByName(fnWL_Enabled).AsBoolean :=
      not cdsWatchList.FieldByName(fnWL_Enabled).AsBoolean;

    cdsWatchList.FieldByName(fnWL_StatusBy).AsString :=
      Engine.CurrentOperatorID;
    cdsWatchList.FieldByName(fnWL_StatusAt).AsDateTime := Now;

    if cdsWatchList.State = dsEdit then
      cdsWatchList.Post;
  except
  end;
end;

procedure TfrmStudyStatusList.dsAccessLogDataChange(Sender: TObject;
  Field: TField);
begin
  acClearAccessHistory.Enabled := cdsAccessLog.RecordCount > 0;
end;

procedure TfrmStudyStatusList.pnlActiveStudyListResize(Sender: TObject);
begin
  lblAutorefresh.Left := grbActiveStudyList.Width - lblAutorefresh.Width - 8;
end;

function TfrmStudyStatusList.getStudyStatus(anID: string): string;
var
  i: Integer;
  ap: TMDKRegisteredPatient;
begin
  Result := 'Unknown';
  for i := 0 to fActiveStudyList.Count - 1 do
    begin
      ap := TMDKRegisteredPatient(fActiveStudyList.Objects[i]);
      if (ap <> nil) and (ap.SessionID = anID) then
        begin
          Result := ap.StudyStatus;
          break;
        end;
    end;
end;

procedure TfrmStudyStatusList.acCloseExecute(Sender: TObject);
begin
  ModalResult := mrCancel;
end;

procedure TfrmStudyStatusList.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = VK_ESCAPE then
    ModalResult := mrCancel;
end;

procedure TfrmStudyStatusList.setActionsActiveStatus(aValue:Boolean);
begin
  acSelect.Enabled := aValue;
  acReview.Enabled := aValue;
//  acRefresh.Enabled := aValue;
  acEnable.Enabled := aValue;
  acDisable.Enabled := aValue;
  acRelease.Enabled := aValue;
//  acResetActiveList.Enabled := aValue;
end;

end.
