unit fMDK_Toolbox;
{
================================================================================
*
*       Package:      MDK - Clinical Procedures
*       Revision:     $Revision: 1 $  $Modtime: 12/04/07 9:15a $
*       Site Name:    Hines OIFO
*       Date Created: 7/29/05
*       Developers:   andriyevskiy                  
*       Description:  this unit contains the Hemodialysis application
*                     Toolbox form
*       Notes:
*
================================================================================
*       $Archive: /Clinical Procedures v1.0 (CP Legacy)/CP Version 1.0 - Patch 19/HEMODIALYSIS_1_0_6_320/APP-HEMODIALYSIS/Forms/fMDK_Toolbox.pas $
*
* $History: fMDK_Toolbox.pas $
 * 
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 1/13/09    Time: 1:15p
 * Created in $/Clinical Procedures v1.0 (CP Legacy)/CP Version 1.0 - Patch 19/HEMODIALYSIS_1_0_6_320/APP-HEMODIALYSIS/Forms
 * Patch 19 source code
 * 
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 4/24/08    Time: 4:23p
 * Created in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/HEMODIALYSIS_1_0_6_319_#18/APP-HEMODIALYSIS/Forms
 * 
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 4/02/08    Time: 9:25a
 * Created in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI Current/HEMODIALYSIS_1_0_6_319/APP-HEMODIALYSIS/Forms
 * 
 * *****************  Version 4  *****************
 * User: Vhaishandria Date: 6/21/07    Time: 9:05a
 * Updated in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI 1.0/APP-HEMODIALYSIS/Forms
 * Build 312 #14
 * 
 * *****************  Version 3  *****************
 * User: Vhaishandria Date: 6/20/07    Time: 3:23p
 * Updated in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI 1.0/APP-HEMODIALYSIS/Forms
 *
 * *****************  Version 2  *****************
 * User: Vhaishandria Date: 6/04/07    Time: 9:08a
 * Updated in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI 1.0/APP-HEMODIALYSIS/Forms
 *
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 5/22/07    Time: 9:16a
 * Created in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI 1.0/APP-HEMODIALYSIS/Forms
 *
 * *****************  Version 3  *****************
 * User: Vhaishandria Date: 3/28/07    Time: 11:44a
 * Updated in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI/APP-HEMODIALYSIS/Forms
 *
 * *****************  Version 2  *****************
 * User: Vhaishandria Date: 3/27/07    Time: 1:31p
 * Updated in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI/APP-HEMODIALYSIS/Forms
 *
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 3/26/07    Time: 12:38p
 * Created in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI/APP-HEMODIALYSIS/Forms
 *
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 3/26/07    Time: 12:28p
 * Created in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI/APP_HEMODIALYSIS/CP MODERNIZATION/APP-HemoDialysis/Forms
 *
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 1/25/07    Time: 9:39a
 * Created in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI/APP-HEMODIALYSIS/Forms
 *
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 1/22/07    Time: 1:36p
 * Created in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI 1.0.6.308/APP-HEMODIALYSIS/Forms
 * GUI 1.0.6.308 RC January 2007
 *
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 1/22/07    Time: 1:28p
 * Created in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI 1.0.6.308/CP MODERNIZATION/APP-HemoDialysis/Forms
 * GUI 1.0.6.308 RC January 2007
 *
 * *****************  Version 5  *****************
 * User: Vhaishandria Date: 10/25/06   Time: 11:03a
 * Updated in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI/APP-Hemodialysis/Forms
 *
 * *****************  Version 4  *****************
 * User: Vhaishandria Date: 7/18/06    Time: 3:43p
 * Updated in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI/APP-Hemodialysis/Forms
 *
 * *****************  Version 3  *****************
 * User: Vhaishandria Date: 7/12/06    Time: 9:41a
 * Updated in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI/APP-Hemodialysis/Forms
 *
 * *****************  Version 2  *****************
 * User: Vhaishandria Date: 5/19/06    Time: 5:46p
 * Updated in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI/APP-Hemodialysis/Forms
 * May 19
 *
 * *****************  Version 1  *****************
 * User: Vhaishandria Date: 4/28/06    Time: 5:15p
 * Created in $/CP Version 1.0 - Patch 6 (Renal Enhancement)/GUI/APP-Hemodialysis/Forms
}
interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, StdCtrls, ExtCtrls, ComCtrls
  , DBClient, DB, Grids, DBGrids, ActnList, ImgList;

type
  TfrmToolbox = class(TForm)
    SaveDialog1: TSaveDialog;
    cdsOne: TClientDataSet;
    dsOne: TDataSource;
    cdsTwo: TClientDataSet;
    dsTwo: TDataSource;
    ActionList1: TActionList;
    acCheck: TAction;
    acSave: TAction;
    acStop: TAction;
    cdsInfo: TClientDataSet;
    dsInfo: TDataSource;
    acClear: TAction;
    cdsSummary: TClientDataSet;
    dsSummary: TDataSource;
    cdsFlowsheet: TClientDataSet;
    dsFlowsheet: TDataSource;
    cdsMedications: TClientDataSet;
    dsMedications: TDataSource;
    cdsNotes: TClientDataSet;
    dsNotes: TDataSource;
    acSelect: TAction;
    acLoad: TAction;
    cdsSE: TClientDataSet;
    dsSE: TDataSource;
    acSaveTabelAs: TAction;
    acSaveToDB: TAction;
    acGetStudyListByDFN: TAction;
    acCheckStudyList: TAction;
    pnlCheck: TPanel;
    Splitter1: TSplitter;
    pnlData: TPanel;
    pcDetails: TPageControl;
    tsInfo: TTabSheet;
    dbgInfo: TDBGrid;
    tsSummary: TTabSheet;
    dbgSummary: TDBGrid;
    tsFlowsheet: TTabSheet;
    dbgFlowsheet: TDBGrid;
    tsMedications: TTabSheet;
    dbgMedications: TDBGrid;
    tsNotes: TTabSheet;
    dbgNotes: TDBGrid;
    tsStudyEvents: TTabSheet;
    dbgSE: TDBGrid;
    Panel3: TPanel;
    PageControl2: TPageControl;
    tsStudyNumber: TTabSheet;
    tsPatient: TTabSheet;
    Panel4: TPanel;
    Label3: TLabel;
    edPatientDFN: TEdit;
    lvDFN: TListView;
    acCheckStudy: TAction;
    ImageList1: TImageList;
    BitBtn1: TBitBtn;
    tsSubmitted: TTabSheet;
    Panel6: TPanel;
    dbG: TDBGrid;
    Splitter2: TSplitter;
    Panel7: TPanel;
    mmLog: TMemo;
    Panel8: TPanel;
    Panel2: TPanel;
    BitBtn8: TBitBtn;
    BitBtn7: TBitBtn;
    BitBtn6: TBitBtn;
    BitBtn5: TBitBtn;
    BitBtn4: TBitBtn;
    BitBtn2: TBitBtn;
    Panel1: TPanel;
    lv: TListView;
    Panel10: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    edFile: TEdit;
    edStart: TEdit;
    edStop: TEdit;
    cbAutosave: TCheckBox;
    acLogName: TAction;
    BitBtn9: TBitBtn;
    acSelectByID: TAction;
    BitBtn10: TBitBtn;
    acRefreshSumitHistory: TAction;
    BitBtn11: TBitBtn;
    BitBtn3: TBitBtn;
    OpenDialog1: TOpenDialog;
    procedure acStopExecute(Sender: TObject);
    procedure acCheckExecute(Sender: TObject);
    procedure acSaveExecute(Sender: TObject);
    procedure acClearExecute(Sender: TObject);
    procedure acSelectExecute(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure acLoadExecute(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure acSaveTabelAsExecute(Sender: TObject);
    procedure dbgSETitleClick(Column: TColumn);
    procedure dbgNotesTitleClick(Column: TColumn);
    procedure dbgMedicationsTitleClick(Column: TColumn);
    procedure dbgFlowsheetTitleClick(Column: TColumn);
    procedure dbgSummaryTitleClick(Column: TColumn);
    procedure dbgInfoTitleClick(Column: TColumn);
    procedure dbgSEDrawColumnCell(Sender: TObject; const Rect: TRect;
      DataCol: Integer; Column: TColumn; State: TGridDrawState);
    procedure acGetStudyListByDFNExecute(Sender: TObject);
    procedure edPatientDFNKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure acCheckStudyListExecute(Sender: TObject);
    procedure acCheckStudyExecute(Sender: TObject);
    procedure lvDFNMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure acLogNameExecute(Sender: TObject);
    procedure acSelectByIDExecute(Sender: TObject);
    procedure acRefreshSumitHistoryExecute(Sender: TObject);
  private
    { Private declarations }
    fStop: Boolean;
    procedure Check;
    procedure Save;
    procedure AddLog;
    procedure Select(aStudy: string);

    procedure CleanUpDatasets;
    procedure CleanUpLocalDatasets;

    procedure getStudyListByDFN(aDFN: string);
    procedure CheckStudy(anID: string; aLI: TListItem);
    procedure TestDBData(aLI: TListItem; aValue, aField, aFieldValue: string;
      aDS: TClientDataSet);
  public
    { Public declarations }
  end;

var
  frmToolbox: TfrmToolbox;

implementation

uses uMDK_Engine, dMDK_Data, fMDK_Info, uMDK_Info, uMDK_Summary,
  uMDK_InstrumentRecord, uMDK_MedList, uMDK_Notes, fGMV_TimeOutManager,
  uMDK_Options, uROR_CommonUtils
  , XMLIntf
  , uXML
  , uMDK_Common, uMDK_CDSCommon, uMDK_SubmitHistory, uMDK_Flowsheet;

{$R *.dfm}

function preparePatientStudyList(aList: string): string;
var
  i: integer;
  aDoc: IXMLDocument;
  ss: string;

begin
  Result := '';
  ss := '';
  try
    aDoc := XMLDocument(aList);
    with aDoc.DocumentElement do
      begin
        if ChildValues['STATUS'] <> 'OK' then
          exit;
        for i := 0 to ChildNodes.Count - 1 do
          begin
            if ChildNodes[i].NodeName <> 'RECORD' then
              continue;
            try // reverse order update
              Result := ChildNodes[i].ChildValues['STUDY_ID'] + '^' +
                ChildNodes[i].ChildValues['STUDY_DATETIME']
                + #13#10 + Result;
              {
                              s :=  FormatDateTime(gMDK_DateFMT,
                                    FMDateToWindowsDate(StrToFloat(ChildNodes[i].ChildValues['STUDY_DATETIME'])))+ #13#10;
                              Result := s + Result;
                              fStudyNumList.Insert(0,ChildNodes[i].ChildValues['STUDY_ID']);

                               ss := FormatDateTime(gMDK_DateFMT,
                                    FMDateToWindowsDate(StrToFloat(ChildNodes[i].ChildValues['STUDY_DATETIME'])))
                                    + ' -- ' +ChildNodes[i].ChildValues['STUDY_ID']+ #13#10+ss;
              }
            except
              on E: Exception do
                ;
            end;
          end;
      end;
  except
  end;
end;

procedure TfrmToolbox.CleanUpDatasets;
begin
  CleanUpCDS(cdsInfo);
  CleanUpCDS(cdsSummary);
  CleanUpCDS(cdsFlowsheet);
  CleanUpCDS(cdsMedications);
  CleanUpCDS(cdsNotes);
  CleanUpCDS(cdsSE);
end;

procedure TfrmToolbox.TestDBData(aLI: TListItem; aValue, aField, aFieldValue:
  string; aDS: TClientDataSet);
var
  ss: string;
begin
  try
    Engine.InitDS(aDS, aValue);
    if not dmData.CheckCDSIDField(aDS, aField, aFieldValue, ss) then
      ali.SubItems.Add(copy(ss, 1, 100))
    else
      ali.SubItems.Add('....');
  except
  end;
end;

procedure TfrmToolbox.Check;
var
  iTimeout,
    i, iStart, iStop: Integer;
  sInfo, sSummary, sFlowsheet, sMedLog, sNotes, sEvents: string;
  sInfo0, sSummary0, sFlowsheet0, sMedLog0, sNotes0: string;
  li: TListItem;

begin
  if cbAutosave.Checked then
    begin
      if edFile.Text = '' then
        if SaveDialog1.Execute then
          edFile.Text := SaveDialog1.FileName
        else
          Exit;
    end;

  UpdateTimeoutInterval(24 * 3600);

  MergeCDS(cdsInfo);
  MergeCDS(cdsSummary);
  MergeCDS(cdsFlowsheet);
  MergeCDS(cdsMedications);
  MergeCDS(cdsNotes);

  sInfo0 := cdsInfo.XMLData;
  sSummary0 := cdsSummary.XMLData;
  sFlowsheet0 := cdsFlowSheet.XMLData;
  sMedLog0 := cdsMedications.XMLData;
  sNotes0 := cdsNotes.XMLData;

  acLoad.Enabled := False;
  acCheck.Enabled := False;
  acClear.Enabled := False;
  acSelect.Enabled := False;
  acSave.Enabled := False;
  acStop.Enabled := True;

  iStart := StrToIntDef(edStart.Text, 1);
  iStop := StrToIntDef(edStop.Text, 0);
  if iStop < iStart then
    iStop := iStart;
  fStop := False;
  dmData.bIgnore := True;
  Screen.Cursor := crHourGlass;

  try
    for i := iStart to iStop do
      begin
        Application.ProcessMessages;
        if fStop then
          Break;
        edStart.Text := IntToStr(i);
        CleanUpDatasets;
        sInfo := '';
        sSummary := '';
        sFlowsheet := '';
        sMedLog := '';
        sNotes := '';
        sEvents := '';
        if not Engine.fRenalController.GetStudy(i, sInfo, sSummary, sFlowsheet,
          sMedLog, sNotes, sEvents) then
          begin
            li := lv.Items.Add;
            li.Caption := IntToStr(i);
            li.SubItems.Add('?');
            li.SubItems.Add('?');
            li.SubItems.Add('?');
            li.SubItems.Add('?');
            li.SubItems.Add('?');
          end
        else
          begin
            if pos('-1', sInfo) = 1 then
              Continue;
            li := lv.Items.Insert(0);
            li.Caption := Format('%-6.6d', [i]);
            TestDBData(li, sInfo, fnI_StudyID, intToStr(i), cdsInfo);
            TestDBData(li, sSummary, fnS_SessionID, intToStr(i), cdsSummary);
            TestDBData(li, sFlowsheet, fnFS_SessionID, intToStr(i),
              cdsFlowsheet);
            TestDBData(li, sMedLog, fnML_StudyID, intToStr(i), cdsMedications);
            TestDBData(li, sNotes, fnNL_StudyID, intToStr(i), cdsNotes);
          end;
      end;
  except
  end;
  Screen.Cursor := crDefault;

  dmData.bIgnore := false;

  acLoad.Enabled := True;
  acCheck.Enabled := True;
  acClear.Enabled := True;
  acSelect.Enabled := True;
  acSave.Enabled := True;
  acStop.Enabled := False;

  CleanUpDatasets;

  Engine.InitDs(cdsInfo, sInfo0);
  Engine.InitDs(cdsSummary, sSummary0);
  Engine.InitDs(cdsFlowSheet, sFlowsheet0);
  Engine.InitDs(cdsMedications, sMedLog0);
  Engine.InitDs(cdsNotes, sNotes0);

  AddLog;

  if cbAutoSave.Checked then
    begin
      Save;
      Application.Terminate;
    end
  else
    begin
//      iTimeout := Preferences.iValue(onTimeoutInterval);
      iTimeout := StrToIntDef(Engine.UserTimeout,1000);
{$IFNDEF AANTEST}
      if iTimeout > MAXIMUM_TIMEOUT_SEC then
        iTimeout := MAXIMUM_TIMEOUT_SEC;
      if iTimeout < MINIMUM_TIMEOUT_SEC then
        iTimeout := MINIMUM_TIMEOUT_SEC;
{$ENDIF}
      UpdateTimeoutInterval(iTimeout);
    end;
end;

procedure TfrmToolbox.Save;
var
  sName: string;
begin
  if lv.Items.Count < 1 then
    exit;

  if edFile.Text <> '' then
    sName := edFile.Text
  else if SaveDialog1.Execute then
    begin
      sName := SaveDialog1.FileName;
      edFile.Text := sName;
    end;
  if sName <> '' then
    mmLog.Lines.SaveToFile(sName);
end;

procedure TfrmToolbox.acStopExecute(Sender: TObject);
begin
  fStop := True;
end;

procedure TfrmToolbox.acCheckExecute(Sender: TObject);
begin
  if Engine.CurrentPatient.ID <> '' then
    begin
      ShowMessage('Patient ' + Engine.CurrentPatient.Name +
        ' data is being processed' + #13#10 +
        'Please close the patient before checking the data');
      Exit;
    end;
  Check;
end;

procedure TfrmToolbox.acSaveExecute(Sender: TObject);
begin
  Save;
end;

procedure TfrmToolbox.AddLog;
var
  i, j: Integer;
  s: string;
begin
  mmLog.Lines.Add(TForm(Parent).Caption);
  mmLog.Lines.Add(FormatDateTime('mm/dd/yyyy hh:mm:ss', Now) + '  ' +
    Engine.CurrentOperatorID);
  mmLog.Lines.Add('');
  mmLog.Lines.Add(' Study   Info   Summ   Flow  M.List Notes');
  for i := 0 to lv.Items.Count - 1 do
    begin
      s := lv.Items[i].Caption;
      for j := 0 to lv.Items[i].SubItems.Count - 1 do
        s := s + Format(' %6.6s', [lv.Items[i].SubItems[j]]);
      mmLog.Lines.Add(s);
    end;
end;

procedure TfrmToolbox.acClearExecute(Sender: TObject);
begin
  lv.Items.Clear;
end;

procedure TfrmToolbox.Select(aStudy: string);
var
  sLog,
    sInfo, sSummary, sFlowsheet, sMedLog, sNotes, sEvents: string;

  function getCDS(aName, aValue: string; aCDS: TClientDataSet): string;
  begin
    Result := '';
    if pos('-1', aValue) = 1 then
      Result := aName + Piece(aValue, '^', 2) {+#13#10}
    else
      Engine.InitDs(aCDS, aValue);
  end;

begin
  sLog := '';
  CleanUpDatasets;
  if not Engine.fRenalController.GetStudy(strToInt(aStudy), sInfo, sSummary,
    sFlowsheet, sMedLog, sNotes, sEvents) then
    begin
      ShowMessage('Error getting data for study <' + aStudy + '>');
    end
  else
    begin
      sLog := sLog + getCDS('Info:       ', sInfo, cdsInfo);
      sLog := sLog + getCDS('Summary:    ', sSummary, cdsSummary);
      sLog := sLog + getCDS('Flowsheet:  ', sFlowsheet, cdsFlowsheet);
      sLog := sLog + getCDS('Medications:', sMedLog, cdsMedications);
      sLog := sLog + getCDS('Notes:      ', sNotes, cdsNotes);
      sLog := sLog + getCDS('Events:     ', sEvents, cdsSE);

      if sLog <> '' then
        ShowMessage('Load Study <' + aStudy + '> Error summary' + #13#10#13#10 +
          sLog);
    end;
end;

procedure TfrmToolbox.acSelectExecute(Sender: TObject);
var
  s: string;
  tlv: TListView;
begin
  if Sender is TListView then
    tlv := TListView(Sender)
  else
    tlv := lv;
  try
    //    tlv := TListView(Sender);
    s := tlv.Selected.Caption;
    Select(s);
  except
  end;
end;

procedure TfrmToolbox.FormCreate(Sender: TObject);
begin
  CreateFlowSheetDS(cdsFlowSheet);
  CreateSummaryDS(cdsSummary);
  CreateInfoDS(cdsInfo);
  CreateMedListCDS(cdsMedications, dsSummary);
  CreateNoteListCDS(cdsNotes);

  dmData.Action := 'Create Toolbox Study Events';
  dmData.CreateStudyEventsCDS(cdsSE);
  dmData.Action := '';

end;

procedure TfrmToolbox.acLoadExecute(Sender: TObject);
var
  s: string;
  SL: TStringList;
  ii,
    i: Integer;
  li: TListItem;
begin
  if OpenDialog1.Execute then
    begin
      SL := TStringList.Create;
      SL.LoadFromFile(OpenDialog1.FileName);
      for i := 0 to SL.Count - 1 do
        begin
          s := Piece(SL[i], ' ', 1);
          ii := StrToIntDef(s, -1);
          if ii < 0 then
            Continue;
          li := lv.Items.Add;
          li.Caption := s;
          li.SubItems.Add(copy(SL[i], 8, 7));
          li.SubItems.Add(copy(SL[i], 15, 7));
          li.SubItems.Add(copy(SL[i], 22, 7));
          li.SubItems.Add(copy(SL[i], 36, 7));
          li.SubItems.Add(copy(SL[i], 43, 7));
          li.SubItems.Add(copy(SL[i], 50, 7));
        end;
      SL.Free;
    end;
end;

procedure TfrmToolbox.FormResize(Sender: TObject);
begin
  try
    pnlData.Constraints.MaxHeight := (pnlCheck.Height * 3) div 4;
  except
  end;
end;

procedure TfrmToolbox.acSaveTabelAsExecute(Sender: TObject);
var
  SL: TStringList;
  CDS: TClientDataSet;
begin
  if SaveDialog1.Execute then
    begin
      cds := nil;
      case pcDetails.ActivePageIndex of
        0: cds := cdsInfo;
        1: cds := cdsSummary;
        2: cds := cdsFlowsheet;
        3: cds := cdsMedications;
        4: cds := cdsNotes;
        5: cds := cdsSE;
      end;
      SL := nil;
      if Assigned(cds) then
        begin
          try
            SL := TStringList.Create;
            cds.MergeChangeLog;
            SL.Text := cds.XMLData;
            SL.SaveToFile(SaveDialog1.FileName);
          finally
            SL.Free;
          end;
        end;
    end;
end;

procedure TfrmToolbox.dbgSETitleClick(Column: TColumn);
begin
  try
    TClientDataSet(dbgSE.DataSource.DataSet).IndexFieldNames :=
      Column.FieldName;
  except
  end;
end;

procedure TfrmToolbox.dbgNotesTitleClick(Column: TColumn);
begin
  try
    TClientDataSet(dbgNotes.DataSource.DataSet).IndexFieldNames :=
      Column.FieldName;
  except
  end;

end;

procedure TfrmToolbox.dbgMedicationsTitleClick(Column: TColumn);
begin
  try
    TClientDataSet(dbgMedications.DataSource.DataSet).IndexFieldNames :=
      Column.FieldName;
  except
  end;

end;

procedure TfrmToolbox.dbgFlowsheetTitleClick(Column: TColumn);
begin
  try
    TClientDataSet(dbgFlowsheet.DataSource.DataSet).IndexFieldNames :=
      Column.FieldName;
  except
  end;
end;

procedure TfrmToolbox.dbgSummaryTitleClick(Column: TColumn);
begin
  try
    TClientDataSet(dbgSummary.DataSource.DataSet).IndexFieldNames :=
      Column.FieldName;
  except
  end;
end;

procedure TfrmToolbox.dbgInfoTitleClick(Column: TColumn);
begin
  try
    TClientDataSet(dbgInfo.DataSource.DataSet).IndexFieldNames :=
      Column.FieldName;
  except
  end;
end;

procedure TfrmToolbox.dbgSEDrawColumnCell(Sender: TObject;
  const Rect: TRect; DataCol: Integer; Column: TColumn;
  State: TGridDrawState);
var
  field: TField;
  dataset: TDataSet;
  risk: string;
  dbg: TDBGrid;
begin
  dbg := dbgSE;
  dataset := dbg.DataSource.DataSet;
  field := dataset.FieldByName(fnEvents_Type);
  risk := field.asString;
  if risk = etDebug then
    dbg.canvas.font.color := clBlack
  else if risk = etWarning then
    dbg.canvas.font.color := clBlue
  else if risk = etInfo then
    dbg.canvas.font.color := clGreen
  else
    dbg.canvas.font.color := clRed;

  if (gdFocused in State) {//  or (gdSelected in State)} then
    begin
      dbg.canvas.font.color := clWhite;
    end
  else
    begin
      if risk = etWarning then
        dbg.Canvas.Brush.color := $00FFFDE6
      else if risk = etError then
        dbg.Canvas.Brush.color := $00FFFDE6
      else if risk = etInfo then
        dbg.Canvas.Brush.color := $00C8ECFD
      else
        dbg.Canvas.Brush.color := clWindow;
    end;
  dbg.DefaultDrawColumnCell(Rect, DataCol, Column, State);

end;

procedure TfrmToolbox.acGetStudyListByDFNExecute(Sender: TObject);
begin
  getStudyListByDFN(edPatientDFN.Text);
end;

procedure TfrmToolbox.getStudyListByDFN(aDFN: string);
var
  s: string;
  i: Integer;
  li: TListItem;
  sl: TStringList;
  dd: Double;
begin
  i := StrToIntDef(aDFN, -1);
  if i < 0 then
    begin
      ShowMessage('Wrong DFN <' + aDFN + '>');
      Exit;
    end;
  try
    if Engine.fRenalController.GetAllStudiesByPatient(i, s) then
      begin
        lvDFN.Items.Clear;
        SL := TStringList.Create;
        SL.Text := preparePatientStudyList(s);
        for i := 0 to SL.Count - 1 do
          begin
            li := lvDFN.Items.Add;
            li.Caption := piece(sl[i], '^', 1);
            li.SubItems.Add('');
            li.SubItems.Add('');
            li.SubItems.Add('');
            li.SubItems.Add('');
            li.SubItems.Add('');
            s := piece(sl[i], '^', 2);
            dd := StrToFloat(s);
            dd := FMDateTimeToWindowsDateTime(dd);
            li.SubItems.Add(FormatDateTime(gMDK_DateTimeFMT, dd));
          end;
        if SL.Count < 1 then
          ShowMessage('No studies found for patient <' + aDFN + '>');
        SL.Free;
      end
    else
      ShowMessage('No studies found for DFN <' + aDFN + '>');

  except
  end;

end;

procedure TfrmToolbox.edPatientDFNKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = VK_Return then
    acGetStudyListByDFNExecute(nil);
end;

procedure TfrmToolbox.CleanUpLocalDatasets;
begin
  CleanUpCDS(cdsInfo);
  CleanUpCDS(cdsSummary);
  CleanUpCDS(cdsFlowsheet);
  CleanUpCDS(cdsMedications);
  CleanUpCDS(cdsNotes);
  CleanUpCDS(cdsSE);
end;

procedure TfrmToolbox.CheckStudy(anID: string; aLI: TListItem);
var
  i: Integer;
  sInfo, sSummary, sFlowsheet, sMedLog, sNotes, sEvents: string;
  li: TListItem;

  procedure TestDBData(aLI: TListItem; aValue, aField, aFieldValue: string; aDS:
    TClientDataSet; anIndex: Integer);
  var
    ss: string;
  begin
    try
      Engine.InitDS(aDS, aValue);
      if not dmData.CheckCDSIDField(aDS, aField, aFieldValue, ss) then
        ss := copy(ss, 1, 100)
      else
        ss := '....';
      ali.SubItems[anIndex] := ss;
    except
    end;
  end;

begin
  if aLI = nil then
    Exit;
  li := aLI;

  CleanUpLocalDatasets;

  i := StrToInt(anID);
  if not Engine.fRenalController.GetStudy(i, sInfo, sSummary, sFlowsheet,
    sMedLog, sNotes, sEvents) then
    begin
      li.SubItems[0] := '?';
      li.SubItems[1] := '?';
      li.SubItems[2] := '?';
      li.SubItems[3] := '?';
      li.SubItems[4] := '?';
    end
  else
    begin
      if pos('-1', sInfo) = 1 then
        Exit;
      TestDBData(li, sInfo, fnI_StudyID, anID, cdsInfo, 0);
      TestDBData(li, sSummary, fnS_SessionID, anID, cdsSummary, 1);
      TestDBData(li, sFlowsheet, fnFS_SessionID, anID, cdsFlowsheet, 2);
      TestDBData(li, sMedLog, fnML_StudyID, anID, cdsMedications, 3);
      TestDBData(li, sNotes, fnNL_StudyID, anID, cdsNotes, 4);
    end;
end;

procedure TfrmToolbox.acCheckStudyListExecute(Sender: TObject);
var
  sDFN: string;
  aLI: TListItem;
  i: Integer;
begin
  if Engine.CurrentPatient.ID <> '' then
    begin
      ShowMessage('Patient ' + Engine.CurrentPatient.Name +
        ' data is being processed' + #13#10 +
        'Please close the patient before checking the data');
      Exit;
    end;

  aLI := lvDFN.Selected;
  for i := 0 to lvDFN.Items.Count - 1 do
    begin
      sDFN := lvDFN.Items[i].Caption;
      CheckStudy(sDFN, lvDFN.Items[i]);
    end;
  lvDFN.Selected := aLi;
end;

procedure TfrmToolbox.acCheckStudyExecute(Sender: TObject);
var
  sDFN: string;
begin
  try
    sDFN := lvDFN.Selected.Caption;
    CheckStudy(sDFN, lvDFN.Selected);
  except
  end;

end;

procedure TfrmToolbox.lvDFNMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  if ssCtrl in Shift then
    acCheckStudyExecute(nil);
end;

procedure TfrmToolbox.acLogNameExecute(Sender: TObject);
begin
  if SaveDialog1.Execute then
    edFile.Text := SaveDialog1.FileName;
end;

procedure TfrmToolbox.acSelectByIDExecute(Sender: TObject);
var
  s: string;
begin
  try
    s := dmData.cdsSubmitHistory.FieldByName(fnSH_StudyID).AsString;
    Select(s);
  except
  end;
end;

procedure TfrmToolbox.acRefreshSumitHistoryExecute(Sender: TObject);
var
  s: string;
begin
  if not dmData.cdsSubmitHistory.Active or (dmData.cdsSubmitHistory.RecordCount
    < 1) then
    begin
      s := Engine.getSystemOptionByName(onSubmittedStudies);
      if pos(XML_VERSION, s) = 1 then
        Engine.InitDS(dmData.cdsSubmitHistory, s)
      else
        RestoreSubmtHistory(dmData.cdsSubmitHistory, s);
    end;

end;

end.
